<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('menu_sections', function (Blueprint $table) {
            $table->id();  // Auto-incrementing ID
            $table->unsignedBigInteger('edit_page_id')->nullable();  // Foreign key referencing `id` from `services` table
            $table->json('additional_data')->nullable();  // JSON column for menu data (name, order)
            $table->string('type')->nullable();
            $table->timestamps();  // Created_at and updated_at timestamps
        });
    }
    


    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('menu_sections');
    }
};