<!DOCTYPE html>
<html lang="en">

<head>
  <meta name="php1">
  <title><?php echo $service->meta_title ?></title>
  <meta name="description" content="<?php echo $service->meta_description ?>" />
  <meta name="keywords" content="<?php echo $service->meta_keywords ?? ' ' ?>" />

  <!-- Facebook -->
  <meta property="og:title" content="<?php echo $service->meta_title ?>" />
  <meta property="og:description" content="<?php echo $service->meta_description ?>" />
  <meta property="og:image" content="{{ asset('storage/feature_images/' . $service->feature_image) }}" />
  <meta name="servicType" content="<?php echo $service->meta_title ?>" />
  <meta name="id" content="https://demo1.flatworldsolutions.com{{ $service->page_link }}.php" />
  <meta name="image" content="<?php echo asset('storage/banner_images/' . $service->banner_image) ?>" />

  <!-- Twitter -->
  <meta name="twitter:title" content="<?php echo $service->meta_title ?>" />
  <meta name="twitter:description" content="<?php echo $service->meta_description ?>" />
  <meta name="twitter:image:src" content="{{ asset('storage/feature_images/' . $service->feature_image) }}" />
  <meta name="twitter:card" content="summary_large_image" />
  <meta name="php2">

  <link href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" rel="stylesheet">
  <style>
    @media (min-width: 576px) {
      .modal-dialog {
        max-width: 50% !important;
      }
    }

    @media (min-width: 1200px) {
      .custom-offset-xl-1 {
        margin-left: 8.33333333%;
      }
    }

    @media (min-width: 768px) {
      .custom-offset-md-1 {
        margin-left: 8.33333333%;
      }
    }
  </style>
</head>

<body>
  <!-- HEADER STARTS -->
  <meta name="php3">
  <!-- HEADER ENDS -->

  <!-- SUB MENU STARTS -->
  <meta name="php4">
  <!-- SUB MENU ENDS -->
  @php

  $sectionsOrder = json_decode($menuSections->additional_data ?? '[]');

  $imagesDirectory = '';
  $directoryPath = env('APP_BASE_URL', 'https://demo1.flatworldsolutions.com');
  if (!empty($service->service_slug)) {
  $serviceSlug = \App\Models\ServiceList::where('id', $service->service_slug)->pluck('slug')->first();
  $directoryPath .= '/' . $serviceSlug;
  }
  $imagesDirectory = $directoryPath . '/images';
  @endphp

  <!-- H1 BANNER IMAGE STARTS -->
  <section id="bannerplain" data-wow-delay="300ms" class="wow fadeIn position-relative page-header parallax section-nav-smooth page-hgt">
    <img src="<?php echo $imagesDirectory . '/' . $service->banner_image ?>" class="img-fluid object-fit-cover" alt="<?php echo $service->banner_title ?>" title="<?php echo $service->banner_title ?>" />
    <div class="page-titles whitecolor text-center">
      <h1><?php echo $service->banner_title ?></h1>
      <p><?php echo $service->banner_description ?></p>
    </div>
  </section>
  <!-- H1 BANNER IMAGE ENDS -->

  <!-- TOP SMALL FORM STARTS -->
  <section id="smallFormInnerPage">
    <meta name="php5">
  </section>
  <!-- TOP SMALL FORM ENDS -->

  <!-- About us -->
  <section class="service-page-intro">
    <div class="container aboutus">
      <div class="row">
        <div class="col-lg-12 col-md-12 text-md-left">
          <div class="breadcrumbs mb-0">
            <ol vocab="http://schema.org/" typeof="BreadcrumbList">
              <li property="itemListElement" typeof="ListItem">
                <a property="item" typeof="WebPage" href="https://www.flatworldsolutions.com/">
                  <span property="name">Home</span>
                </a>
                <meta property="position" content="1">
              </li>
              @if(isset($service->service_slug) && !empty($service->service_slug))
              @foreach ($services as $item)
              @if($item->id == $service->service_slug)
              <li property="itemListElement" typeof="ListItem">
                <a property="item" typeof="WebPage" href="#">
                  <span property="name">{{ $item->name }}</span>
                </a>
                <meta property="position" content="3">
              </li>
              @endif
              @endforeach
              @endif
              @if(isset($service->sub_service_slug) && !empty($service->sub_service_slug))
              <li property="itemListElement" typeof="ListItem">
                <a property="item" typeof="WebPage" href="#">
                  <span property="name">{{ $service->sub_service_slug ?? '' }}</span>
                </a>
                <meta property="position" content="3">
              </li>
              @endif
              @if(isset($service->sub_sub_service_slug) && !empty($service->sub_sub_service_slug))
              <li property="itemListElement" typeof="ListItem">
                <a property="item" typeof="WebPage" href="#">
                  <span property="name">{{ $service->sub_sub_service_slug ?? '' }}</span>
                </a>
                <meta property="position" content="4">
              </li>
              @endif
              <li property="itemListElement" typeof="ListItem">
                <a property="item" typeof="WebPage" href="#">
                  <span property="name">{{ $service->slug ?? '' }}</span>
                </a>
                <meta property="position" content="5">
              </li>
            </ol>
          </div>
        </div>
      </div>
      <div class="row mt-2">
        <div class="col-lg-12 col-md-12 text-md-left">
          <p><?php echo $service->body_content ?></p>
        </div>
      </div>
    </div>
  </section>

  {{-- Our Answering Service -> section 1 --}}
  {{-- More Services -> section 2 --}}
  {{-- Process Flow -> section 3--}}
  {{-- Industries we serve -> section 4 --}}
  {{-- Why Choose Us -> section 5 --}}
  {{-- Articles -> section 6--}}
  {{-- Additional Serices -> section 7 --}}
  {{-- Technologies we Use -> section 8 --}}
  {{-- Client Success Stories -> section 9 --}}
  {{-- Client Testimonials -> section 10 --}}
  {{-- Outsource -> section 11 --}}
  {{-- FAQ -> section 12 --}}
  {{-- Code Snippet -> section 13 --}}

  @php
  // Decode the JSON data
  $customSections = json_decode($service->custom_section);
  @endphp

  @foreach ($sectionsOrder as $sectionId)
  @if (view()->exists("components.service-publish.$sectionId"))

  @php
  $componentFound = false; // Flag to check if the component has been found
  @endphp

  @if(!empty($customSections))
  @foreach ($customSections as $section)
  @if ($section->key == $sectionId)
  @component("components.service-publish.$sectionId", ['value' => $section->value])
  @endcomponent
  @php
  $componentFound = true; // Mark the component as found
  @endphp
  @break <!-- Exit loop after the component is rendered -->
  @endif
  @endforeach
  @endif

  {{-- Only render the component if it hasn't been rendered yet --}}
  @if (!$componentFound)
  @component("components.service-publish.$sectionId", ['service' => $service])
  @endcomponent
  @endif

  @endif
  @endforeach

  <div class="modal fade" id="successModal" tabindex="-1" role="dialog" aria-labelledby="successModalLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
      <div class="modal-content">
        <div class="modal-body mx-auto text-center my-auto">
          <h2 class="text-white">The page is published</h2>
          <br>
          <p class="text-white">Click below url to view the page</p>
          <br>
          <a href="https://demo1.flatworldsolutions.com{{ $service->page_link }}.php" target="_blank">https://demo1.flatworldsolutions.com{{ $service->page_link }}.php</a>
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-primary" id="successModalButton">OK</button>
        </div>
      </div>
    </div>
  </div>

  <div class="modal fade" id="errorModal" tabindex="-1" role="dialog" aria-labelledby="errorModalLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title text-white" id="errorModalLabel">Error</h5>
          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
          </button>
        </div>
        <div class="modal-body text-white">
          Something went wrong. Please try again.
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
        </div>
      </div>
    </div>
  </div>

  <style>
    .modal-content {
      position: relative;
      display: flex;
      flex-direction: column;
      width: 100%;
      pointer-events: auto;
      background-color: #2a2a2a !important;
      background-clip: padding-box;
      border: 1px solid rgba(0, 0, 0, .2);
      border-radius: 2rem !important;
      padding: 1rem !important;
      outline: 0;
    }

    .modal-body p {
      color: white !important;
    }
  </style>

  <meta name="php10">
  <meta name="php11">
  <meta name="php12">

  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.7.1/jquery.min.js"></script>
  <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"></script>

  <script>
    //script-start
    $(document).ready(function() {
      var slug = "{{ $service->slug }}";
      var htmlContent = document.documentElement.outerHTML;

      $.ajax({
        url: '{{ route("save-htmll") }}',
        type: 'POST',
        headers: {
          'X-CSRF-TOKEN': '{{ csrf_token() }}'
        },
        data: {
          htmlContent: htmlContent,
          slug: slug
        },
        success: function(response) {
          $('#successModal').modal('show');
          $('#successModalButton').on('click', function() {
            window.location.href = '<?php echo  url("admin/service/index")  ?>';
          });
        },
        error: function(xhr, status, error) {
          console.error(error);
          $('#errorModal').modal('show');
        }
      });
    });
    //script-end
  </script>