@php
$directoryPath = env('APP_BASE_URL', 'https://demo1.flatworldsolutions.com');
if (!empty($service->service_slug)) {
    $serviceSlug = \App\Models\ServiceList::where('id', $service->service_slug)->pluck('slug')->first();
    $directoryPath .= '/' . $serviceSlug;
}
$imagesDirectory = $directoryPath . '/images';

$articles = json_decode($service->article_contents);
if (!function_exists('hasValidArticle')) {
    function hasValidArticle($articles) {
        return collect($articles)->contains(fn($article) => !empty($article->image) || !empty($article->description) || !empty($article->link));
    }
}
@endphp

@if(isset($articles) && count($articles) > 0 && hasValidArticle($articles))
<section class="our-services articles">
    <div class="container">
        <div class="row">
            <h2>{{ $service->article_main_title }}</h2>
            <div class="space20"></div>
        </div>
        <div class="row"> <!-- Add row here to wrap columns -->
            @foreach($articles as $item)
                @php $imageName = basename($item->image); @endphp
                <div class="col-md-6 col-sm-6 col-xl-3 mb-4">
                    <div class="services-box">
                        <img src="{{ $imagesDirectory . '/' . $imageName }}" class="img-fluid" alt="{{ $item->description ?? '' }}">
                        <div class="services-box-content">
                            @if($item->link)
                                <h3><a href="{{ $item->link }}">{{ $item->description ?? '' }}</a></h3>
                            @else
                                <h3>{{ $item->description ?? '' }}</h3>
                            @endif
                        </div>
                    </div>
                </div>
            @endforeach
        </div>
    </div>
</section>
@endif
