@php
$stories = json_decode($service->client_success_stories);

function hasValidClientSuccessStory($stories) {
foreach ($stories as $story) {
if (!is_null($story->title) || !is_null($story->description) || !is_null($story->link)) {
return true;
}
}
return false;
}
@endphp

@if (isset($stories) && count($stories) > 0 && hasValidClientSuccessStory($stories))
<section id="successStories" class="client-success-stories">
    <div class="container">
        <div class="row wow fadeIn" data-wow-delay="400ms" style="visibility: visible; animation-delay: 400ms; animation-name: fadeIn;">
            <div class="col-md-12 col-lg-12 col-xl-8">
                <h2><a href="{{ $service->client_title_link }}">{{ $service->client_main_title }}</a></h2>
                <div class="row">
                    @foreach(json_decode($service->client_success_stories) as $item)
                    <div class="col-xl-6 col-lg-6 col-md-12 col-12">
                        <div class="d-flex media-object client-succ">
                            <div class="flex-shrink-0">
                                <img src="https://www.flatworldsolutions.com/images/icons/12.svg" class="rounded-circle" alt="Arrow">
                            </div>
                            <div class="flex-grow-1 ms-3">
                                @if (!is_null($item->title_link))
                                <h4><a href="{{ $item->title_link }}">{{ $item->title ?? '' }}</a></h4>
                                @else
                                <h4>{{ $item->title ?? '' }}</h4>
                                @endif
                                <p>{{ $item->description ?? '' }}</p>
                                <a href="{{ $item->link ?? '' }}" class="read-mortgage">Read More <i class="fa fa-angle-double-right"></i></a>
                            </div>
                        </div>
                    </div>
                    @endforeach
                </div>
            </div>
            <div class="d-none d-xl-block col-xl-4">
                <img src="/images/success-stories.webp" class="img-fluid" alt="Success Stories">
            </div>
        </div>
    </div>
</section>
@endif