<div class="form-group row mb-4 color-two section-drag" id="section1">
    <div class="col-6">
        <label class="">Service List Title</label>
        <input type="text" class="form-control" name="service_list_title" value="{{ old('service_list_title', $service->service_list_title) }}">
        @error('service_list_title')
        <span class="text-danger">{{ $message }}</span>
        @enderror
    </div>
    <div class="col-6">
        <label class="">Service List Description</label>
        <textarea class="form-control" id="summernote_service_list" name="service_list_description">{{ old('service_list_description', $service->service_list_description) }}</textarea>
        @error('service_list_description')
        <span class="text-danger">{{ $message }}</span>
        @enderror
    </div>

    <!-- additional fields -->
    <div class="additional-fields ptb-50">
        @foreach(json_decode($service->service_list_contents) as $index => $item)
        @if($index == 0)
        <div class="additional-field row mb-4 mx-auto">
            <div class="col-3">
                <label class="">Service List Item Image</label>
                <input type="file" class="form-control" name="service_list_item_image[]" value="{{ isset($item->image) ? $item->image : '' }}">
                @isset($item->image)
                <img src="{{ asset($item->image) }}" height="50">
                @endisset
                <input type="hidden" name="service_list_item_image_old[]" value="{{ isset($item->image) ? $item->image : ''}}">
            </div>
            <div class="col-3">
                <label class="">Service List Item Title</label>
                <input type="text" class="form-control" name="service_list_item_title[]" value="{{ isset($item->title) ? $item->title : '' }}">
            </div>
            <div class="col-3">
                <label class="">Service List Item Description</label>
                <textarea class="form-control" name="service_list_item_description[]">{{ $item->description }}</textarea>
            </div>
            <div class="col-3">
                <label class="">Service List Item Link</label>
                <input type="text" class="form-control" name="service_list_item_link[]" value="{{ isset($item->link) ? $item->link : '' }}">
            </div>
            <div class="col-2 mt-3" style="display: flex; justify-content: space-between; align-items: center;">
                <div class="add-more-container" style="padding-left: 10px;">
                    <button type="button" class="btn btn-primary copy-and-clear">Add More</button>
                </div>
            </div>
        </div>
        @else
        <div class="additional-field row mb-4 mx-auto">
            <div class="col-3">
                <label class="">Service List Item Image</label>
                <input type="file" class="form-control" name="service_list_item_image[]">
                @isset($item->image)
                <img src="{{ asset($item->image) }}" height="50">
                @endisset
                <input type="hidden" name="service_list_item_image_old[]" value="{{ isset($item->image) ? $item->image : '' }}">
            </div>
            <div class="col-3">
                <label class="">Service List Item Title</label>
                <input type="text" class="form-control" name="service_list_item_title[]" value="{{ isset($item->title) ? $item->title : '' }}">
            </div>
            <div class="col-3">
                <label class="">Service List Item Description</label>
                <textarea class="form-control" name="service_list_item_description[]">{{ isset($item->description) ? $item->description : "" }}</textarea>
            </div>
            <div class="col-3">
                <label class="">Service List Item Link</label>
                <input type="text" class="form-control" name="service_list_item_link[]" value="{{ isset($item->link) ? $item->link : '' }}">
            </div>
            <div class="col-2">
                <button type="button" class="btn btn-danger remove-field mt-4">Remove</button>
            </div>
        </div>
        @endif
        @endforeach
    </div>
    <div class="controls col-md-12">
        <button class="move-up" type="button" data-toggle="tooltip" title="Move Section Up"><i class="fas fa-arrow-up"></i></button>
        <button class="move-down" type="button" data-toggle="tooltip" title="Move Section Down"><i class="fas fa-arrow-down"></i></button>
    </div>
</div>
