<div class="form-group row mb-4 ptb-50 color-four section-drag" id="section3">
    <div class="col-6">
        <label class="">Process Flow Title</label>
        <input type="text" class="form-control" name="process_flow_title" value="{{ old('process_flow_title', $service->process_flow_title ?? '') }}">
        @if ($errors->has('process_flow_title'))
        <span class="text-danger">{{ $errors->first('process_flow_title') }}</span>
        @endif
    </div>
    <div class="col-6">
        <label class="">Process Flow Description</label>
        <textarea class="form-control" name="process_flow_description">{{ old('process_flow_description', $service->process_flow_description ?? '') }}</textarea>
        @error('process_flow_description')
        <span class="text-danger">{{ $message }}</span>
        @enderror
    </div>
    <!-- additional fields for process flow-->
    <div class="additional-process-fields ptb-50">
        @foreach(json_decode($service->process_flow_contents) as $index => $item)
        @if($index == 0)
        <div class="additional-field-process row mb-4 mx-auto">
            <div class="col-3">
                <label class="">Process Flow Item Logo</label>
                <input type="text" class="form-control" name="process_flow_item_logo[]" value="{{$item->logo}}">
            </div>
            <div class="col-3">
                <label class="">Process Flow Item Title</label>
                <input type="text" class="form-control" name="process_flow_item_title[]" value="{{$item->title}}">
            </div>
            <div class="col-4">
                <label class="">Process Flow Item Description</label>
                <textarea class="form-control" name="process_flow_item_description[]">{{$item->description}}</textarea>
            </div>
            <div class="col-2" style="display: flex; justify-content: space-between; align-items: self-end;">
                <div class="add-more-container-process" style="padding-left: 10px;">
                    <button type="button" class="btn btn-primary copy-and-clear-process">Add More</button>
                </div>
            </div>
        </div>
        @else
        <div class="additional-field-process row mb-4 mx-auto">
            <div class="col-3">
                <label class="">Process Flow Item Logo</label>
                <input type="text" class="form-control" name="process_flow_item_logo[]" value="{{$item->logo}}">
            </div>
            <div class="col-3">
                <label class="">Process Flow Item Title</label>
                <input type="text" class="form-control" name="process_flow_item_title[]" value="{{$item->title}}">
            </div>
            <div class="col-4">
                <label class="">Process Flow Item Description</label>
                <textarea class="form-control" name="process_flow_item_description[]">{{$item->description}}</textarea>
            </div>
            <div class="col-2">
                <button type="button" class="btn btn-danger remove-field-process mt-4">Remove</button>
            </div>
        </div>
        @endif
        @endforeach
    </div>
    <div class="controls col-md-12">
        <button class="move-up" type="button" data-toggle="tooltip" title="Move Section Up"><i class="fas fa-arrow-up"></i></button>
        <button class="move-down" type="button" data-toggle="tooltip" title="Move Section Down"><i class="fas fa-arrow-down"></i></button>
    </div>
</div>
