
<!-- CSS only -->
<style>
  .image-preview,
  #callback-preview {
    height: 100px !important;
  }

  textarea {
    min-height: 120px;
    /* Adjust the height as needed (approximately 5 rows) */
  }
</style>

<style>
  .section {
    padding: 20px;
    margin: 10px 0;
    border: 1px solid #ccc;
    background-color: #f9f9f9;
  }

  .controls {
    margin-top: 10px;
  }

  button {
    margin-right: 5px;
    border: none;
    background: none;
    cursor: pointer;
    font-size: 22px;
    /* Increased font size */
    padding: 10px;
    /* Add some padding for bigger button */
  }

  button i {
    color: #555;
  }

  /* Green color for up button */
  .move-up i {
    color: green;
    font-size: 18px;
  }

  /* Red color for down button */
  .move-down i {
    color: red;
    font-size: 18px;
  }

  /* Hover effect for both buttons */
  button:hover i {
    color: #000;
  }

  /* Hover effect for the move-up button */
  .move-up:hover i {
    color: #2d7f2f;
    /* Darker green */
  }

  /* Hover effect for the move-down button */
  .move-down:hover i {
    color: #d32f2f;
    /* Darker red */
  }
</style>

<?php $__env->startSection('content'); ?>
<div class="main-content">
  <section class="section">
    <div class="section-body">
      <div class="row">
        <a href="javascript:void(0);" onclick="window.history.back();" class="btn btn-primary mb-2 mr-2" style="margin-left: 15px !important;"><i class="fas fa-arrow-left"></i>
          Back</a>

        <div class="col-12">
          <div class="card">
            <form method="POST" action="<?php echo e(route('admin.case-study.store')); ?>" enctype="multipart/form-data">
              <?php echo csrf_field(); ?>
              <div class="card-header">
                <h4>Create Case Study Page</h4>
              </div>
              <!-- <?php echo $__env->make('inc.messages', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?> -->
              <div class="card-body">
                <div class="form-group row mb-4 d-flex justify-content-end">
                  <div class="col-sm-2 col-md-2 text-right">
                    <button class="btn btn-primary btn-pub" type="submit" name="action" value="Create Page" onclick="return confirm('Are you sure you want to Create Page?');">Create Page</button>
                  </div>
                  <div class="col-sm-2 col-md-2 text-right">
                    <button class="btn btn-primary btn-pub" type="submit" name="action" value="draft">Draft</button>
                  </div>
                  <div class="col-sm-2 col-md-2 text-right">
                    <button class="btn btn-primary btn-pub" type="submit" name="action" value="save">Save</button>
                  </div>
                  <div class="col-sm-2 col-md-2 text-right">
                    <button class="btn btn-danger btn-pub" onclick="window.history.back();">Close</button>
                  </div>
                </div>
                <div class="form-group row mb-4 color-one">
                  <?php
                  $services = \App\Models\ServiceList::get();
                  ?>
                  <div class="col-4 mb-4">
                    <label class="">Folders</label>
                    <select id="service-dropdown" name="service_slug" class="form-control col">
                      <option value="">Select Folder</option>
                      <?php $__currentLoopData = $services; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                      <option value="<?php echo e($item->id); ?>" <?php if(old('service_slug')==$item->id): echo 'selected'; endif; ?>><?php echo e($item->name); ?></option>
                      <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </select>
                    <?php if($errors->has('service_slug')): ?>
                    <span class="text-danger"><?php echo e($errors->first('service_slug')); ?></span>
                    <?php endif; ?>
                  </div>

                  <div class="col-4 mb-4">
                    <label class="">Sub Folder</label>
                    <select id="sub-service-dropdown" name="sub_service_slug" class="form-control col">
                      <option value="">Select Sub Folder</option>
                    </select>
                    <?php if($errors->has('sub_service_slug')): ?>
                    <span class="text-danger"><?php echo e($errors->first('sub_service_slug')); ?></span>
                    <?php endif; ?>
                  </div>

                  <div class="col-4 mb-4">
                    <label class="">Sub Sub Folder</label>
                    <select id="sub-sub-service-dropdown" name="sub_sub_service_slug" class="form-control col">
                      <option value="">Select Sub Sub Folder</option>
                    </select>
                    <?php if($errors->has('sub_sub_service_slug')): ?>
                    <span class="text-danger"><?php echo e($errors->first('sub_sub_service_slug')); ?></span>
                    <?php endif; ?>
                  </div>

                  <input type="hidden" id="old-sub-service" value="<?php echo e(old('sub_service_slug', '')); ?>">
                  <input type="hidden" id="old-sub-sub-service" value="<?php echo e(old('sub_sub_service_slug', '')); ?>">


                  <div class="col-6 mb-4">
                    <label class="">Page Name<span class="text-danger">*</span></label>
                    <input type="text" name="slug" class="form-control col" value="<?php echo e(old('slug',$search->slug??'')); ?>" oninput="updateGeneratedURL()" id="url-input">
                    <p><code><span id="generated-url"></span></code></p>
                    <?php if($errors->has('slug')): ?>
                    <span class="text-danger"><?php echo e($errors->first('slug')); ?></span>
                    <?php endif; ?>
                  </div>

                  <div class="col-6 mb-4">
                    <label class="">Meta Title<span class="text-danger">*</span></label>
                    <input type="text" name="meta_title" class="form-control col" value="<?php echo e(old('meta_title',$search->meta_title??'')); ?>">
                    <?php if($errors->has('meta_title')): ?>
                    <span class="text-danger"><?php echo e($errors->first('meta_title')); ?></span>
                    <?php endif; ?>
                  </div>



                  <div class="col-6 mb-4">
                    <label class="">Meta Description<span class="text-danger">*</span></label>
                    <textarea class="form-control" id="" name="meta_description"><?php echo e(old('meta_description',$search->meta_description??'')); ?> </textarea>
                    <?php if($errors->has('meta_description')): ?>
                    <span class="text-danger"><?php echo e($errors->first('meta_description')); ?></span>
                    <?php endif; ?>
                  </div>

                  <div class="col-6">
                    <label class="">Meta Keywords</label>
                    <textarea class="form-control" id="" name="meta_keywords"><?php echo e(old('meta_keywords',$search->meta_keywords??'')); ?> </textarea>
                    <?php if($errors->has('meta_keywords')): ?>
                    <span class="text-danger"><?php echo e($errors->first('meta_keywords')); ?></span>
                    <?php endif; ?>
                  </div>

                  <div class="col-6 mb-4">
                    <label class="">Banner Title<span class="text-danger">*</span></label>
                    <input type="text" name="banner_title" class="form-control col" value="<?php echo e(old('banner_title',$search->banner_title??'')); ?>">
                    <?php if($errors->has('banner_title')): ?>
                    <span class="text-danger"><?php echo e($errors->first('banner_title')); ?></span>
                    <?php endif; ?>
                  </div>

                  <div class="col-6">

                    <label class="c">Banner Image<span class="text-danger">*</span></label>
                    <div class="form-group">
                      <input type="file" class="form-control" name="banner_image">
                      <?php if($errors->has('banner_image')): ?>
                      <span class="text-danger"><?php echo e($errors->first('banner_image')); ?></span>
                      <?php endif; ?>
                      <p class="mt-2 text-danger">(Only Supports jpg.jpeg,png,svg and webp formats)</p>
                    </div>


                  </div>

                  <div class="col-6 mt-3">

                    <label class="c">Featured Image<span class="text-danger">*</span></label>
                    <div class="form-group">
                      <input type="file" class="form-control" name="feature_image">
                      <?php if($errors->has('feature_image')): ?>
                      <span class="text-danger"><?php echo e($errors->first('feature_image')); ?></span>
                      <?php endif; ?>
                      <p class="mt-2 text-danger">(Only Supports jpg.jpeg,png,svg and webp formats)</p>
                    </div>


                  </div>
                </div>
                <hr>
                <div class="form-group row mb-4 color-three section-drag" id="section1">

                  <div class="col-6 mb-4">
                    <label class="">Client Title</label>
                    <input type="text" name="client_title" class="form-control col" value="<?php echo e(old('client_title')); ?>">
                    <?php if($errors->has('client_title')): ?>
                    <span class="text-danger"><?php echo e($errors->first('client_title')); ?></span>
                    <?php endif; ?>
                  </div>

                  <div class="col-6 mb-4">
                    <label class="">Client Description</label>
                    <textarea class="summernote-simple" id="" name="client_description"><?php echo e(old('client_description')); ?></textarea>
                    <?php if($errors->has('client_description')): ?>
                    <span class="text-danger"><?php echo e($errors->first('client_description')); ?></span>
                    <?php endif; ?>
                  </div>

                  <div class="col-6 mb-4">
                    <label class="">Client Requirement Title</label>
                    <input type="text" name="client_req_title" class="form-control col" value="<?php echo e(old('client_req_title')); ?>">
                    <?php if($errors->has('client_req_title')): ?>
                    <span class="text-danger"><?php echo e($errors->first('client_req_title')); ?></span>
                    <?php endif; ?>
                  </div>

                  <div class="col-6 mb-4">
                    <label class="">Client Requirement Description</label>
                    <textarea class="summernote-simple" id="" name="client_req_desc"><?php echo e(old('client_req_desc')); ?></textarea>
                    <?php if($errors->has('client_req_desc')): ?>
                    <span class="text-danger"><?php echo e($errors->first('client_req_desc')); ?></span>
                    <?php endif; ?>
                  </div>

                  <div class="col-6 mb-4">
                    <label class="">Business Title</label>
                    <input type="text" name="business_title" class="form-control col" value="<?php echo e(old('business_title')); ?>">
                    <?php if($errors->has('business_title')): ?>
                    <span class="text-danger"><?php echo e($errors->first('business_title')); ?></span>
                    <?php endif; ?>
                  </div>

                  <div class="col-6 mb-4">
                    <label class="">Business Description</label>
                    <textarea class="summernote-simple" id="" name="business_desc"><?php echo e(old('business_desc')); ?></textarea>
                    <?php if($errors->has('business_desc')): ?>
                    <span class="text-danger"><?php echo e($errors->first('business_desc')); ?></span>
                    <?php endif; ?>
                  </div>

                  <div class="more-business-fields ptb-50 col-12">
                    <!-- Template for more-business fields -->
                    <div class="more-business-field-template row mb-4 mx-auto">
                      <div class="col-10">
                        <label class="">Business Items</label>
                        <input type="text" class="form-control" name="business_items[]">
                      </div>
                      <div class="col-2" style="display: flex; justify-content: space-between; align-items: self-end;">
                        <!-- This div will only contain the Add More button initially -->
                        <div class="add-more-container-process" style="padding-left: 10px;">
                          <button type="button" class="btn btn-primary more-business-add">Add More</button>
                        </div>
                      </div>
                    </div>
                  </div>

                  <div class="col-6 mb-4">
                    <label class="">Our Solution Title</label>
                    <input type="text" name="our_solution_title" class="form-control col" value="<?php echo e(old('our_solution_title')); ?>">
                    <?php if($errors->has('our_solution_title')): ?>
                    <span class="text-danger"><?php echo e($errors->first('our_solution_title')); ?></span>
                    <?php endif; ?>
                  </div>

                  <div class="col-6 mb-4">
                    <label class="">Our Solution Description</label>
                    <textarea class="form-control" id="" name="our_solution_desc"><?php echo e(old('our_solution_desc')); ?></textarea>
                    <?php if($errors->has('our_solution_desc')): ?>
                    <span class="text-danger"><?php echo e($errors->first('our_solution_desc')); ?></span>
                    <?php endif; ?>
                  </div>

                  <div class="col-6 mb-4">
                    <label class="">The Results Title</label>
                    <input type="text" name="the_results_title" class="form-control col" value="<?php echo e(old('the_results_title')); ?>">
                    <?php if($errors->has('the_results_title')): ?>
                    <span class="text-danger"><?php echo e($errors->first('the_results_title')); ?></span>
                    <?php endif; ?>
                  </div>

                  <div class="col-6 mb-4">
                    <label class="">The Results Description</label>
                    <textarea class="form-control" id="" name="the_results_desc"><?php echo e(old('the_results_desc')); ?></textarea>
                    <?php if($errors->has('the_results_desc')): ?>
                    <span class="text-danger"><?php echo e($errors->first('the_results_desc')); ?></span>
                    <?php endif; ?>
                  </div>

                  <div class="col-6 mb-4">
                    <label class="">Outsource Title</label>
                    <input type="text" name="out_source_title" class="form-control col" value="<?php echo e(old('out_source_title')); ?>">
                    <?php if($errors->has('out_source_title')): ?>
                    <span class="text-danger"><?php echo e($errors->first('out_source_title')); ?></span>
                    <?php endif; ?>
                  </div>

                  <div class="col-6 mb-4">
                    <label class="">Outsource Description</label>
                    <textarea class="summernote-simple" id="" name="out_source_desc"><?php echo e(old('out_source_desc')); ?></textarea>
                    <?php if($errors->has('out_source_desc')): ?>
                    <span class="text-danger"><?php echo e($errors->first('out_source_desc')); ?></span>
                    <?php endif; ?>
                  </div>
                </div>

                

                <div class="form-group row mb-4 color-five section-drag code-snippet" id="section2">
                  <div class="col-12 mx-auto">
                    <h3>Schema Code Snippet</h3>
                  </div>
                  <div class="col-12">
                    <label class="">Schema Code Snippet</label>
                    <textarea class="summernote-simple" id="" name="code_snippet"><?php echo e(old('code_snippet')); ?></textarea>
                  </div>
                </div>
                <div class="form-group row mb-4 justify-content-end">
                  <div class="col-sm-2 col-md-2 text-right mr-5">
                    <button class="btn btn-primary btn-pub" id="add-custom-section" type="button" class="btn btn-primary">Add Custom Section</button>
                  </div>
                  <div class="col-sm-2 col-md-2 text-right">
                    <button class="btn btn-primary btn-pub" type="submit" name="action" value="publish" onclick="return confirm('Are you sure you want to Create Page?');">Create Page</button>
                  </div>
                  <div class="col-sm-2 col-md-2 text-right">
                    <button class="btn btn-primary btn-pub" type="submit" name="action" value="draft">Draft</button>
                  </div>
                  <div class="col-sm-2 col-md-2 text-right">
                    <button class="btn btn-primary btn-pub" type="submit" name="action" value="save">Save</button>
                  </div>
                  <div class="col-sm-2 col-md-2 text-right">
                    <a class="btn btn-danger btn-pub" href="<?php echo e(url('admin/case-study/index')); ?>" style="color:white;">Close</a>
                  </div>
                </div>

              </div>
            </form>
          </div>
        </div>
      </div>
    </div>
  </section>
</div>

<script src="https://code.jquery.com/jquery-3.5.1.min.js"></script>
<script>
  $(document).ready(function() {

    let sectionCount = 0;
    // Event listener for add-custom-section button
    $("#add-custom-section").click(function() {
      sectionCount++; // Increment section count

      // HTML structure for the new section (without the <h3> tag)
      const newSection = `
        <div class="form-group row mb-4 color-five section-drag code-snippet-custom" id="section${sectionCount}">
            <div class="col-12 mx-auto">
              <label class="">Custom Section</label>
              <textarea class="summernote-simple" name="code_snippet_custom[]"></textarea>
            </div>
            <div class="col-12 text-right">
              <button class="btn btn-danger btn-remove-section" type="button" data-section-id="section${sectionCount}">Remove</button>
            </div>
        </div>
      `;

      // Append the new section below the last section
      $(".section-drag").last().after(newSection);

      $('.summernote-simple').last().summernote({
        height: 100, // Adjust the height of the editor
        tabsize: 2, // Tab size for the editor
        toolbar: [
          ['style', ['bold', 'italic', 'underline', 'clear']],
          ['para', ['ul', 'ol', 'paragraph']],
          ['insert', ['link']],
          ['view', ['fullscreen', 'codeview']],
          ['heading', ['style']]
        ],
        styleTags: [
          'h1', 'h2', 'h3', 'h4', 'h5', 'h6'
        ]
      });

    });

    // Remove field
    $(document).on("click", ".remove-field", function() {
      $(this).closest(".additional-field-more").remove();
    });

    // Copy and clear data
    $(document).on("click", ".more-business-add", function() {
      var $template = $(".more-business-field-template").first();
      var $newField = $template.clone();

      $newField.removeClass("more-business-field-template").addClass("additional-field-more");

      // Clear input values in the new field
      $newField.find("input, textarea").val("");

      // Remove the Add More button from the new field and add the Remove button
      $newField.find(".add-more-container-process").remove();
      $newField.find(".col-2").append('<div><button type="button" class="btn btn-danger remove-field">Remove</button></div>');

      // Append the new field
      $(".more-business-fields").append($newField);
    });
  });

  $(document).on("click", ".btn-remove-section", function() {
    const sectionId = $(this).data("section-id");
    $(`#${sectionId}`).remove(); // Remove the section with the given ID
  });

  $(document).ready(function() {
    var oldSubService = $('#old-sub-service').val();
    var oldSubSubService = $('#old-sub-sub-service').val();

    $('#service-dropdown').on('change', function() {
      var serviceId = this.value;
      $("#sub-service-dropdown").html('<option value="">Select Sub Folder</option>');
      $("#sub-sub-service-dropdown").html('<option value="">Select Sub Sub Folder</option>');
      $.ajax({
        url: '/admin/public/get-subservices/' + serviceId,
        type: 'GET',
        success: function(result) {
          $.each(result, function(key, value) {
            $('#sub-service-dropdown').append('<option value="' + value.slug + '">' + value.name + '</option>');
          });
          // Set the old sub-service value if it exists
          if (oldSubService) {
            $('#sub-service-dropdown').val(oldSubService).trigger('change');
            oldSubService = ''; // Clear the old value after setting
          }
          updateGeneratedURL();
        }
      });
    });

    $('#sub-service-dropdown').on('change', function() {
      var subServiceId = this.value;
      $("#sub-sub-service-dropdown").html('<option value="">Select Sub Sub Folder</option>');
      $.ajax({
        url: '/admin/public/get-subsubservices/' + subServiceId,
        type: 'GET',
        success: function(result) {
          $.each(result, function(key, value) {
            $('#sub-sub-service-dropdown').append('<option value="' + value.slug + '">' + value.name + '</option>');
          });
          // Set the old sub-sub-service value if it exists
          if (oldSubSubService) {
            $('#sub-sub-service-dropdown').val(oldSubSubService);
            oldSubSubService = ''; // Clear the old value after setting
          }
          updateGeneratedURL();
        }
      });
    });

    $('#sub-sub-service-dropdown').on('change', updateGeneratedURL);
    $('#url-input').on('input', updateGeneratedURL);

    // Trigger change event on page load if there are old values
    if ($('#service-dropdown').val()) {
      $('#service-dropdown').trigger('change');
    }
  });

  function updateGeneratedURL() {
    const folderValue = $('#service-dropdown option:selected').text();
    const subFolderValue = $('#sub-service-dropdown option:selected').text();
    const subSubFolderValue = $('#sub-sub-service-dropdown option:selected').text();
    let urlValue = $('#url-input').val();
    if (urlValue != '') {
      urlValue = urlValue + '.php';
    }

    // Filter out default values
    const parts = [];
    if (folderValue && folderValue !== 'Select Folder') parts.push(folderValue);
    if (subFolderValue && subFolderValue !== 'Select Sub Folder') parts.push(subFolderValue);
    if (subSubFolderValue && subSubFolderValue !== 'Select Sub Sub Folder') parts.push(subSubFolderValue);
    if (urlValue) parts.push(urlValue);

    const fullURL = parts.join('/');

    const slug = fullURL.toLowerCase().replace(/ /g, '-');

    $('#generated-url').text(slug);
  }
</script>
<script>
  document.addEventListener('DOMContentLoaded', function() {
    document.querySelectorAll('textarea').forEach(function(textarea) {
      textarea.setAttribute('rows', '5');
    });
  });
</script>


<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/dmo1fwsusr/public_html/admin/resources/views/admin/case-study/create.blade.php ENDPATH**/ ?>