
<?php $__env->startSection('content'); ?>

    <script src="https://cdnjs.cloudflare.com/ajax/libs/Sortable/1.14.0/Sortable.min.js"></script>
    <!-- Include Font Awesome for icons -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css" />
    <style>
        /*===== VARIABLES CSS =====*/
        :root {
            /*===== Colors =====*/
            --first-color: #272a3a;
            --first-color-light: #8a8eaa;
            --first-color-lighten: #f8f8fc;
            --dull-color: #e0e0e0; /* Dull color for the card */
            /*===== Font and typography =====*/
            --body-font: "Ubuntu", sans-serif;
            --normal-font-size: 1rem;
            --smaller-font-size: 0.813rem;
        }

        /*===== BASE =====*/
        *, ::before, ::after {
            box-sizing: border-box;
        }

        body {
            margin: 0;
            padding: 0;
            font-family: var(--body-font);
            background-color: var(--first-color-lighten);
        }

        h1 {
            margin: 0;
        }

        a {
            text-decoration: none;
        }

        img {
            max-width: 100%;
            height: auto;
        }

        /*===== DRAG and DROP =====*/
        .drop, .drop_container {
            display: grid;
        }

        .drop {
        height: 100vh;
        align-items: center;
        justify-content: center;
        }

        .drop_container {
            row-gap: 1rem;
            padding: 2rem;
            height: 70vh; /* Adjusted height to 70vh */
            overflow-y: auto; /* Enable vertical scrolling */
            box-shadow: 4px 4px 16px #e1e1e1;
        }

        .drop_card, .drop_data {
            display: flex;
            align-items: center;
        }

        .drop_card {
            width: 360px;
            justify-content: space-between;
            padding: 0.75rem 1.25rem;
            background-color: var(--first-color-lighten);
            box-shadow: 4px 4px 16px #e1e1e1, -2px -2px 16px #fff;
            border-radius: 2.5rem;
            transition: background-color 0.3s ease; /* Smooth background color transition */
        }

        .drop_card.dull {
            background-color: var(--dull-color); /* Apply dull color when clicked */
        }

        .drop_icon {
            font-size: 2rem;
            margin-right: 1rem;
            cursor: pointer;
            display: flex;
            flex-direction: column;
            align-items: center;
            justify-content: center;
            width: 20px; /* Set fixed width */
        }

        .drop_icon i {
            width: 20px; /* Set width for each icon */
            font-size: 1.5rem; /* Adjust font size to fit within 50px */
            text-align: center;
            cursor: pointer;
            
        }

        .drop_name {
            font-size: var(--normal-font-size);
            color: var(--first-color);
            font-weight: 500;
        }

        .drop_profession {
            font-size: var(--smaller-font-size);
            color: var(--first-color-light);
        }

        .drop_social {
            margin: 0 0.375rem;
            color: var(--first-color-light);
            transition: 0.4s;
        }

        .drop_social:hover {
            color: var(--first-color);
        }

        /* Class name for the chosen item */
        .sortable-chosen {
            box-shadow: 8px 8px 32px #e1e1e1;
        }

        /* Class name for the dragging item */
        .sortable-drag {
            opacity: 0;
        }

        /* Style for the Add button */
        .add_button {
            margin-top: 100px;
          
            width: 200px;
            padding: 10px 20px;
            background-color: var(--first-color);
            color: white;
            font-size: 1rem;
            border: none;
            border-radius: 5px;
            cursor: pointer;
            transition: background-color 0.3s ease;
        }

        .add_button:hover {
            background-color: #1f2330;
        }

        .update_button {
            margin-top: 100px;
         width: 200px;
            padding: 10px 20px;
            background-color: var(--first-color);
            color: white;
            font-size: 1rem;
            border: none;
            border-radius: 5px;
            cursor: pointer;
            transition: background-color 0.3s ease;
        }

        .update_button:hover {
            background-color: #1f2330;
        }

        /* Eye Icon Styling */
        .eye-icon {
            margin-left: 10px;
            color: var(--first-color);
            cursor: pointer;
            transition: color 0.3s ease;
        }

        .eye-icon:hover {
            color: #ff9800;
        }

        /* Crossed Eye Icon */
        .eye-icon-crossed {
            color: #ff5722; /* Orange color for crossed eye */
        }
    </style>

    <div class="drop">
        <div class="row">
            <div class="col-6">
                <button class="add_button" onclick="addProfileCard()">Add Custom Section</button>
            </div>
            <div class="col-6 text-right">
                <a href="<?php echo e(route('admin.service.edit',$id)); ?>" class="btn btn-sm  add_button btn-primary" style="margin-right: 62px !important;width:50px;padding:5px 10px">Back</a>
            </div>
            
        </div>

        <div class="drop_container" id="drop-items">
            <!-- Cards will be dynamically generated here -->
        </div>
    </div>

    <script>
     const pageId = <?php echo e($id); ?>;
const type='services';
const menuorderData = <?php echo json_encode($menuorderData, 15, 512) ?>; 
const defaultDropNames = [
    "Services List", "More Services", "Industries We Serve", "Why Choose Us", 
    "Articles", "Additional Services", "Technologies We Use", 
    "Client Success Stories", "Client Testimonials", "Outsource", 
    "Faq", "Schema Code Snippet"
];

let customSectionCount = 1; // Start from 13 for custom sections
const dropItems = document.getElementById('drop-items');

// Initialize Sortable (Drag-and-Drop functionality)
new Sortable(dropItems, {
    animation: 350,
    chosenClass: "sortable-chosen",
    dragClass: "sortable-drag"
});

function createCard(dropName, order = null) {
    const cardId = `card-${customSectionCount}`;
    customSectionCount++;

    const cardOrder = order || customSectionCount;
    
    const cardHTML = `
        <div class="drop_card" id="${cardId}" data-id="${cardId}" data-visible="true" data-order="${cardOrder}">
            <div class="drop_data">
                <div class="drop_icon">
                    <i class="fas fa-arrow-up text-success" onclick="moveCardUp(this); updateMenu()"></i>
                    <i class="fas fa-arrow-down text-danger " onclick="moveCardDown(this); updateMenu()"></i>
                </div>
                <div>
                    <h1 class="drop_name">${dropName}</h1>
                </div>
            </div>
            <div>
                <i class="fas fa-eye eye-icon" onclick="toggleEyeIcon(this); updateMenu()"></i>
            </div>
        </div>
    `;
    dropItems.insertAdjacentHTML('beforeend', cardHTML);

    // After the card is created, check if it exists in the `menuorderData` object
    const card = document.getElementById(cardId);
    
    // Check if the section exists in `menuorderData`
    if (menuorderData.hasOwnProperty(dropName)) {
        const order = menuorderData[dropName];
        card.setAttribute('data-order', order); // Set the order based on the `menuorderData`
        card.querySelector('.drop_name').innerText = dropName ;
        // Disable the eye icon (hidden by default for menu items in menuorderData)
        const eyeIcon = card.querySelector('.eye-icon');
        eyeIcon.style.display = 'none';  // Hide the eye icon for visible sections
    } else {
        // If the dropName is not in `menuorderData`, mark the eye icon as crossed (hidden)
        const eyeIcon = card.querySelector('.eye-icon');
        eyeIcon.classList.add('eye-icon-crossed');  // Add crossed eye class
        card.classList.add('dull');  // Apply a dull class for styling when hidden
    }
}

// Add a new custom section card
function addProfileCard() {
    createCard(`Custom Section ${customSectionCount}`);
}

// Function to move a card up
function moveCardUp(icon) {
    const card = icon.closest('.drop_card');
    const prevCard = card.previousElementSibling;
    if (prevCard) {
        card.parentNode.insertBefore(card, prevCard);
    }
}

// Function to move a card down
function moveCardDown(icon) {
    const card = icon.closest('.drop_card');
    const nextCard = card.nextElementSibling;
    if (nextCard) {
        card.parentNode.insertBefore(nextCard, card);
    }
}

// Function to toggle visibility of menu card using the eye icon
function toggleEyeIcon(icon) {
    const card = icon.closest('.drop_card');
    icon.classList.toggle('eye-icon-crossed');  // Toggle the crossed eye class (indicating hidden state)
    card.classList.toggle('dull');  // Optionally apply dull class for styling when hidden
}

// Function to update the menu by sending the visible items to the backend
function updateMenu() {
    const menuData = [];  // Array to store the visible menu items
    const dropNameElements = document.querySelectorAll('.drop_card');

    dropNameElements.forEach(function(dropCard, index) {
        const name = dropCard.querySelector('.drop_name').innerText;  // Get menu name
        const order = dropCard.getAttribute('data-order');  // Get order from the card

        const eyeIcon = dropCard.querySelector('.eye-icon');
        // If the eye icon is NOT crossed (visible), include it in the menu data
        if (!eyeIcon.classList.contains('eye-icon-crossed')) {
            menuData.push({ name, order });
        }
    });

    // Send the visible menu data to the backend
    fetch('/update-menu', {
        method: 'POST',
        headers: {
            'Content-Type': 'application/json',
            'X-CSRF-TOKEN': '<?php echo e(csrf_token()); ?>',  // Laravel CSRF token
        },
        body: JSON.stringify({
            edit_page_id: pageId,  
            type: type, 
            menu_data: menuData, 
        }),
    })
    .then(response => response.json())  // Ensure the response is parsed as JSON
    .then(data => {
        if (data.message) {
            alert(data.message);  // Show success message
        } else {
            console.error('Unexpected response:', data);
        }
    })
    .catch(error => {
        console.error('Error:', error);
        alert('An error occurred while updating the menu.');
    });
}

// Initialize the default cards (only creates the 12 default sections)
defaultDropNames.forEach(dropName => createCard(dropName));

// Sort the cards based on their order from `menuorderData`
const allCards = Array.from(document.querySelectorAll('.drop_card'));
allCards.sort((a, b) => {
    const orderA = parseInt(a.getAttribute('data-order'));
    const orderB = parseInt(b.getAttribute('data-order'));
    return orderA - orderB;
});

// Reorder cards in the DOM
const dropContainer = document.getElementById('drop-items');
allCards.forEach(card => dropContainer.appendChild(card));




    </script>

<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/dmo1fwsusr/public_html/admin/resources/views/admin/service/editlayout.blade.php ENDPATH**/ ?>