<!-- CSS only -->

<?php $__env->startSection('content'); ?>
<div class="main-content">
  <section class="section">
    <div class="section-body">
      <div class="row">
        <a href="<?php echo e(route('admin.service.create')); ?>" class="btn btn-success mb-2 mr-2" style="margin-left: 15px !important;"><i class="fa fa-plus" aria-hidden="true"></i>
          Create New Page</a>
        <div class="col-12">
          <div class="card">
            <div class="card-header">
              <h4>Services</h4>
            </div>
            <div class="card-body">
              <!-- filter starts -->
              <form action="<?php echo e(route('admin.service.index')); ?>" id="filterForm" method="GET">
                <div class="row">
                  <div class="col-2">
                    <label class="">Start Date</label>
                    <input type="date" class="form-control" name="start_date" value="<?php echo e(request()->start_date); ?>">
                  </div>
                  <div class="col-2">
                    <label class="">End Date</label>
                    <input type="date" class="form-control" name="end_date" value="<?php echo e(request()->end_date); ?>">
                  </div>
                  <div class="col-2">
                    <label class="">Services</label>
                    <select class="form-control" name="service_id">
                      <option value="">All Services</option>
                      <?php $__currentLoopData = $allServices; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $service): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                      <option value="<?php echo e($service->id); ?>" <?php echo e(request()->service_id == $service->id ? 'selected' : ''); ?>>
                        <?php echo e($service->name); ?>

                      </option>
                      <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </select>
                  </div>
                  <div class="col-2">
                    <button type="submit" class="btn btn-success mb-2 mr-2" style="margin-top: 30px;">Filter</button>
                    <a href="<?php echo e(route('admin.service.index')); ?>" class="btn btn-success mb-2 mr-2" style="margin-top: 30px; color: white;">Clear</a>
                  </div>
                </div>
              </form>
              <hr>
              <!-- filter ends -->
              <div class="table-responsive">
                <table class="table table-striped" id="table-1">
                  <thead>
                    <tr>
                      <th>
                        #
                      </th>
                      <th>Page Title</th>
                      
                      <th>Services</th>
                      <th>Page Status</th>
                      <th>Date Of Created</th>
                      <th>Page Url</th>
                      <th class="">Action</th>
                    </tr>
                  </thead>
                  <tbody>
                    <?php if(isset($services) && !empty($services)): ?>

                    <?php $__currentLoopData = $services; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $service): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <tr>
                      <td>
                        <?php echo e($loop->iteration); ?>

                      </td>
                      <td> <?php echo e($service->meta_title); ?></td>
                      
                      <td> <?php echo e($service->serviceList ? $service->serviceList->name : ''); ?></td>
                      <td> <?php if($service->published == 1): ?>
                        <div class="badge badge-success">Published</div>
                        <?php elseif($service->published == 2): ?>
                        <div class="badge badge-info">Draft</div>
                        <?php else: ?>
                        <div class="badge badge-danger">Not Published</div> 
                        <?php endif; ?>
                      </td>

                      <td> <?php echo e(\Carbon\Carbon::parse($service->created_at)->format('d/m/Y')); ?></td>
                      <td> <code><?php echo e($service->page_link); ?> </code></td>
                      <td class="text-center" style="display: flex;">
                        <a href="<?php echo e(route('admin.service.publish',$service->id)); ?>" class="btn btn-primary" style="margin-right: 12px !important;" onclick="if (confirm('Are you sure you want to publish the page?')) { this.closest('form').submit(); } return false;">Publish</a>
                        <a href="<?php echo e(route('admin.service.edit',$service->id)); ?>" class="btn btn-primary" style="margin-right: 12px !important;">Edit</a>
                        <?php if($service->published): ?>
                        <a href="https://demo1.flatworldsolutions.com<?php echo e($service->page_link); ?>.php" class="btn btn-primary" target="_blank" style="margin-right: 12px !important;">View</a>

                       <?php else: ?>
                        <a href="<?php echo e(url($service->slug)); ?>" target="_blank" class="btn btn-primary" style="margin-right: 12px !important;">View</a>
                        <?php endif; ?>
                        <form action="<?php echo e(route('admin.service.delete',$service->id)); ?>" method="post">
                          <?php echo csrf_field(); ?>
                          <?php echo method_field('DELETE'); ?>
                          <a href="#" class="btn btn-danger confirmation" title="Delete" data-toggle="tooltip" onclick="if (confirm('Are you sure you want to delete this?')) { this.closest('form').submit(); } return false;">

                            Delete</a>
                        </form>
                      </td>
                    </tr>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                    <?php endif; ?>

                  </tbody>
                </table>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </section>
</div>
<script type="text/javascript">
  $('.confirmation').on('click', function() {
    return confirm('Are you sure?');
  });
</script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/dmo1fwsusr/public_html/admin/resources/views/admin/service/index.blade.php ENDPATH**/ ?>