<?php
$directoryPath = env('APP_BASE_URL', 'https://demo1.flatworldsolutions.com');
if (!empty($service->service_slug)) {
    $serviceSlug = \App\Models\ServiceList::where('id', $service->service_slug)->pluck('slug')->first();
    $directoryPath .= '/' . $serviceSlug;
}
$imagesDirectory = $directoryPath . '/images';

$articles = json_decode($service->article_contents);
if (!function_exists('hasValidArticle')) {
    function hasValidArticle($articles) {
        return collect($articles)->contains(fn($article) => !empty($article->image) || !empty($article->description) || !empty($article->link));
    }
}
?>

<?php if(isset($articles) && count($articles) > 0 && hasValidArticle($articles)): ?>
<section class="our-services articles">
    <div class="container">
        <div class="row">
            <h2><?php echo e($service->article_main_title); ?></h2>
            <div class="space20"></div>
        </div>
        <div class="row"> <!-- Add row here to wrap columns -->
            <?php $__currentLoopData = $articles; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <?php $imageName = basename($item->image); ?>
                <div class="col-md-6 col-sm-6 col-xl-3 mb-4">
                    <div class="services-box">
                        <img src="<?php echo e($imagesDirectory . '/' . $imageName); ?>" class="img-fluid" alt="<?php echo e($item->description ?? ''); ?>">
                        <div class="services-box-content">
                            <?php if($item->link): ?>
                                <h3><a href="<?php echo e($item->link); ?>"><?php echo e($item->description ?? ''); ?></a></h3>
                            <?php else: ?>
                                <h3><?php echo e($item->description ?? ''); ?></h3>
                            <?php endif; ?>
                        </div>
                    </div>
                </div>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </div>
    </div>
</section>
<?php endif; ?>
<?php /**PATH /home/dmo1fwsusr/public_html/admin/resources/views/components/service-publish/section6.blade.php ENDPATH**/ ?>