<!DOCTYPE html>
<html lang="en">

<head>
	<meta name="php1">

	<title><?php echo $article->meta_title ?></title>
	<meta name="description" content="<?php echo $article->meta_description ?>" />

	<!-- Facebook -->
	<meta property="og:title" content="<?php echo $article->meta_title ?>" />
	<meta property="og:description" content="<?php echo $article->meta_description ?>" />
	<meta property="og:image" content="<?php echo e(asset('storage/feature_images/' . $article->feature_image)); ?>" />

	<meta name="Headline" content="<?php echo $article->meta_title ?>" />
	<meta name="datePubshiled" content="<?php echo $article->created_at ?>" />
	<meta name="image" content="<?php echo  asset('storage/banner_images/' . $article->banner_image)  ?>" />

	<!-- Twitter -->
	<meta name="twitter:title" content="<?php echo $article->meta_title ?>" />
	<meta name="twitter:description" content="<?php echo $article->meta_description ?>" />
	<meta name="twitter:image:src" content="<?php echo e(asset('storage/feature_images/' . $article->feature_image)); ?>" />
	<meta name="twitter:card" content="summary_large_image" />

	<meta name="php2">

	<link href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" rel="stylesheet">

	<style>
		@media (min-width: 576px) {
			.modal-dialog {
				max-width: 50% !important;
			}
		}
	</style>
</head>

<body>
	<!-- HEADER STARTS -->
	<meta name="php3">
	<!-- HEADER ENDS -->

	<!-- SUB MENU STARTS -->
	<meta name="php4">
	<!-- SUB MENU ENDS -->
	<?php
	$sectionsOrder = json_decode($menuSections->additional_data ?? '[]');
	?>
	<!-- H1 BANNER IMAGE STARTS -->
	<section id="bannerplain" data-wow-delay="300ms" class="wow fadeIn position-relative page-header parallax section-nav-smooth page-hgt">
		<img src="<?php echo  asset('storage/banner_images/' . $article->banner_image)  ?>" class="img-fluid object-fit-cover" alt="<?php echo $article->banner_title ?>" title="<?php echo $article->banner_title ?>" />
		<div class="page-titles whitecolor text-center">
			<h1><?php echo $article->banner_title ?></h1>

		</div>
	</section>
	<!-- H1 BANNER IMAGE ENDS -->

	<!-- TOP SMALL FORM STARTS -->
	<section id="smallFormInnerPage">
		<meta name="php5">
	</section>
	<!-- TOP SMALL FORM ENDS -->


	<!-- CASESTUDIES BLOCK STARTS -->
	<section id="caseStudies">
		<div class="container p-lg-0 p-md-0">
			<div class="row">
				<div class="col-md-12">

					<!-- BREADCRUMB STARTS -->
					<div class="breadcrumbs mb-0">
						<ol vocab="http://schema.org/" typeof="BreadcrumbList">
							<li property="itemListElement" typeof="ListItem"><a property="item" typeof="WebPage" href=#><span property="name"><?php echo e($article->slug ?? ''); ?></span></a>
								<meta property="position" content="1">
							</li>
							<li property="itemListElement" typeof="ListItem"><a property="item" typeof="WebPage" href="#"><span property="name"><?php echo e($article->sub_service_slug ?? ''); ?></span></a>
								<meta property="position" content="2">
							</li>
							<li property="itemListElement" typeof="ListItem"><a property="item" typeof="WebPage" href="#"><span property="name"><?php echo e($article->sub_sub_service_slug ??''); ?></span></a>
								<meta property="position" content="3">
							</li>
						</ol>
					</div>
					<!-- BREADCRUMB ENDS -->

					<p><?php echo $article->body_content ?></p>

					<?php
					// Decode the JSON data
					$customSections = json_decode($article->custom_section);
					?>

					<?php $__currentLoopData = $sectionsOrder; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $sectionId): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
					<?php if(view()->exists("components.articles-publish.$sectionId")): ?>

					<?php
					$componentFound = false; // Flag to check if the component has been found
					?>

					<?php $__currentLoopData = $customSections; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $section): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
					<?php if($section->key == $sectionId): ?>
					<?php $__env->startComponent("components.articles-publish.$sectionId", ['value' => $section->value]); ?>
					<?php echo $__env->renderComponent(); ?>
					<?php
					$componentFound = true; // Mark the component as found
					?>
					<?php break; ?> <!-- Exit loop after the component is rendered -->
					<?php endif; ?>
					<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

					
					<?php if(!$componentFound): ?>
					<?php $__env->startComponent("components.articles-publish.$sectionId", ['article' => $article]); ?>
					<?php echo $__env->renderComponent(); ?>
					<?php endif; ?>

					<?php endif; ?>
					<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

					<a href="/forms/healthcarecontactform.php?loc=EOP&url=online-medical-billing-services&at=btn&ft=Global&cv=Healthcare-ServicePage" \l "top" id="btm_cub" onclick="document.getElementById('btm_cub').href='/forms/engineeringcontactform.php?loc=EOP&url=php7&at=btn&ft=Global&cv=php8#top';" class="butn butn__new mt-4"><i class="fa-regular fa-user pr-2"></i><span class="px-2">Contact Us</span></a>
				</div>
			</div>
		</div>
	</section>
	<!-- CASESTUDIES BLOCK ENDS -->
	<!-- BOTTOM BOX SECTION STARTS -->
	<meta name="php10">
	<!-- BOTTOM BOX SECTION STARTS -->

	<!-- BOTTOM CONTACT FORM STARTS -->
	<meta name="php11">
	<!-- BOTTOM CONTACT FORM STARTS -->
	<!-- Success Modal -->
	<div class="modal fade" id="successModal" tabindex="-1" role="dialog" aria-labelledby="successModalLabel" aria-hidden="true">
		<div class="modal-dialog" role="document">
			<div class="modal-content">
				
				<div class="modal-body mx-auto text-center my-auto">
					<h2>The page is published</h2>
					<br>
					<p>Click below url to view the page</p>
					<br>
					<a href="https://demo1.flatworldsolutions.com<?php echo e($article->page_link); ?>.php" target="_blank">https://demo1.flatworldsolutions.com<?php echo e($article->page_link); ?>.php</a>


				</div>
				<div class="modal-footer">
					<button type="button" class="btn btn-primary" id="successModalButton">OK</button>
				</div>
			</div>
		</div>
	</div>

	<!-- Error Modal -->
	<div class="modal fade" id="errorModal" tabindex="-1" role="dialog" aria-labelledby="errorModalLabel" aria-hidden="true">
		<div class="modal-dialog" role="document">
			<div class="modal-content">
				<div class="modal-header">
					<h5 class="modal-title" id="errorModalLabel">Error</h5>
					<button type="button" class="close" data-dismiss="modal" aria-label="Close">
						<span aria-hidden="true">&times;</span>
					</button>
				</div>
				<div class="modal-body">
					Something went wrong. Please try again.
				</div>
				<div class="modal-footer">
					<button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
				</div>
			</div>
		</div>
	</div>
	<!-- FOOTER STARTS -->
	<meta name="php12">
	<!-- FOOTER ENDS -->
	<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.7.1/jquery.min.js"></script>
	<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"></script>
	<script>
		//script-start
		var slug = "<?php echo  $article->slug  ?>";

		var htmlContent = document.documentElement.outerHTML;

		$.ajax({
			url: '<?php echo  route("save-html-article")  ?>',
			type: 'POST',
			headers: {
				'X-CSRF-TOKEN': '<?php echo  csrf_token()  ?>' // Directly provide the CSRF token here
			},
			data: {
				htmlContent: htmlContent,
				slug: slug
			},
			success: function(response) {
				$('#successModal').modal('show');
				$('#successModalButton').on('click', function() {
					window.location.href = '<?php echo  url("admin/article/index")  ?>';
				});
			},
			error: function(xhr, status, error) {
				console.error(error);
				alert('something went wrong');
			}
		});

		//script-end
	</script>
</body>

</html><?php /**PATH /home/dmo1fwsusr/public_html/admin/resources/views/admin/article/publish.blade.php ENDPATH**/ ?>