<?php

namespace App\Http\Controllers;

use App\Models\Service;
use App\Models\ServiceList;
use Illuminate\Http\Request;

class HtmlController extends Controller
{
    public function saveHtml(Request $request)
    {
        $htmlContent = $request->input('htmlContent');

        $slug = $request->input('slug');

        $service = Service::where('slug', $slug)->first();

        $path = '';
        if (!empty($service)) {
            if (!empty($service->service_slug)) {
                $serviceSlug = ServiceList::where('id', $service->service_slug)->pluck('slug')->first();
                $path .= '/' . $serviceSlug;
            }

            if (!empty($service['sub_service_slug'])) {
                $path .= '/' . $service['sub_service_slug'];
            }

            if (!empty($service['sub_sub_service_slug'])) {
                $path .= '/' . $service['sub_sub_service_slug'];
            }
        }

        // Path to store the HTML files
        $filePath = storage_path('app/service-templates' . $path);
        $fileName = $slug . '.php';

        // Create directory if it doesn't exist
        if (!is_dir($filePath)) {
            mkdir($filePath, 0755, true);
        }

        $replacements = [
            '<meta name="php1">' => '<?php include_once $_SERVER["DOCUMENT_ROOT"] . "/includes/cdn-check.php"; // Change CDN path according to Local and Online ?>',
            '<meta name="php2">' => '<?php include $_SERVER["DOCUMENT_ROOT"] . "/includes/head-content-f20.php"; ?>',
            '<meta name="php3">' => '<?php include_once $_SERVER["DOCUMENT_ROOT"] . "/includes/header-f20.php"; ?>',
            '<meta name="php4">' => '<?php include_once $_SERVER["DOCUMENT_ROOT"] . "/includes/cc-sub-header-f20.php"; ?>',
            '<meta name="php5">' => '<?php include_once $_SERVER["DOCUMENT_ROOT"] . "/includes/small-form-inner-page.php"; ?>',
            'php6' => '<?php echo $BreadcrumbCPL; ?>',
            'php7' => '<?php echo $FWS_Founded_2004_Years; ?>',
            'php8' => '<?php echo $tagpath; ?>',
            'php9' => '<?php echo $GAPageLevelVar; ?>',
            '<meta name="php10">' => '<?php include_once $_SERVER["DOCUMENT_ROOT"] . "/includes/cc-btm-section-f20.php"; ?>',
            '<meta name="php11">' => '<?php include $_SERVER["DOCUMENT_ROOT"] . "/includes/footer-contact.php"; ?>',
            '<meta name="php12">' => '<?php include_once $_SERVER["DOCUMENT_ROOT"] . "/includes/footer-f20.php"; ?>',
            '<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.7.1/jquery.min.js"></script>' => ''
        ];

        $htmlContent = strtr($htmlContent, $replacements);

        $htmlContent = $this->remove_between_strings($htmlContent, '<script>//script-start', '//script-end</script>');

        // Save HTML content to file
        if (file_put_contents($filePath . '/' . $fileName, $htmlContent)) {
            return response()->json(['message' => 'HTML content received and processed successfully']);
        } else {
            return response()->json(['error' => 'Failed to save HTML content to file.']);
        }
    }

    public function saveHtmlCaseStudy(Request $request)
    {
        $htmlContent = $request->input('htmlContent');

        $slug = $request->input('slug');

        $service = Service::where('slug', $slug)->first();

        $path = '';
        if (!empty($service)) {
            if (!empty($service->service_slug)) {
                $serviceSlug = ServiceList::where('id', $service->service_slug)->pluck('slug')->first();
                $path .= '/' . $serviceSlug;
            }

            if (!empty($service['sub_service_slug'])) {
                $path .= '/' . $service['sub_service_slug'];
            }

            if (!empty($service['sub_sub_service_slug'])) {
                $path .= '/' . $service['sub_sub_service_slug'];
            }
        }

        // Path to store the HTML files
        $filePath = storage_path('app/case-study-templates' . $path);
        $fileName = $slug . '.php';

        // Create directory if it doesn't exist
        if (!is_dir($filePath)) {
            mkdir($filePath, 0755, true);
        }

        $replacements = [
            '<meta name="php1">' => '<?php include_once $_SERVER["DOCUMENT_ROOT"]."/includes/cdn-check.php"; ?>',
            '<meta name="php2">' => '<?php include $_SERVER["DOCUMENT_ROOT"] . "/includes/head-content-f20.php"; ?>',
            '<meta name="php3">' => '<?php include_once $_SERVER["DOCUMENT_ROOT"] . "/includes/header-f20.php"; ?>',
            '<meta name="php4">' => '<?php include_once $_SERVER["DOCUMENT_ROOT"] . "/includes/cc-sub-header-f20.php"; ?>',
            '<meta name="php5">' => '<?php include_once $_SERVER["DOCUMENT_ROOT"] . "/includes/small-form-inner-page.php"; ?>',
            'php6' => '<?php echo $BreadcrumbCPL; ?>',
            'php7' => '<?php echo $tagpath; ?>',
            'php8' => '<?php echo $GAPageLevelVar; ?>',
            '<meta name="php10">' => '<?php include_once $_SERVER["DOCUMENT_ROOT"] . "/includes/es-btm-section-f20.php"; ?>',
            '<meta name="php11">' => '  <?php include_once $_SERVER["DOCUMENT_ROOT"] . "/includes/footer-contact.php"; ?>',
            '<meta name="php12">' => '<?php include_once $_SERVER["DOCUMENT_ROOT"] . "/includes/footer-f20.php"; ?>',
            '<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.7.1/jquery.min.js"></script>' => ''
        ];

        $htmlContent = strtr($htmlContent, $replacements);

        $htmlContent = $this->remove_between_strings($htmlContent, '<script>//script-start', '//script-end</script>');

        // Save HTML content to file
        if (file_put_contents($filePath . '/' . $fileName, $htmlContent)) {
            return response()->json(['message' => 'HTML content received and processed successfully']);
        } else {
            return response()->json(['error' => 'Failed to save HTML content to file.']);
        }
    }

    public function saveHtmlArticle(Request $request)
    {
        $htmlContent = $request->input('htmlContent');

        $slug = $request->input('slug');

        $service = Service::where('slug', $slug)->first();

        $path = '';
        if (!empty($service)) {
            if (!empty($service->service_slug)) {
                $serviceSlug = ServiceList::where('id', $service->service_slug)->pluck('slug')->first();
                $path .= '/' . $serviceSlug;
            }

            if (!empty($service['sub_service_slug'])) {
                $path .= '/' . $service['sub_service_slug'];
            }

            if (!empty($service['sub_sub_service_slug'])) {
                $path .= '/' . $service['sub_sub_service_slug'];
            }
        }

        // Path to store the HTML files
        $filePath = storage_path('app/article-templates' . $path);
        $fileName = $slug . '.php';

        // Create directory if it doesn't exist
        if (!is_dir($filePath)) {
            mkdir($filePath, 0755, true);
        }

        $replacements = [
            '<meta name="php1">' => '<?php include_once $_SERVER["DOCUMENT_ROOT"]."/includes/cdn-check.php"; ?>',
            '<meta name="php2">' => '<?php include $_SERVER["DOCUMENT_ROOT"] . "/includes/head-content-f20.php"; ?>',
            '<meta name="php3">' => '<?php include_once $_SERVER["DOCUMENT_ROOT"] . "/includes/header-f20.php"; ?>',
            '<meta name="php4">' => '<?php include_once $_SERVER["DOCUMENT_ROOT"] . "/includes/cc-sub-header-f20.php"; ?>',
            '<meta name="php5">' => '<?php include_once $_SERVER["DOCUMENT_ROOT"] . "/includes/small-form-inner-page.php"; ?>',
            'php6' => '<?php echo $BreadcrumbCPL; ?>',
            'php7' => '<?php echo $tagpath; ?>',
            'php8' => '<?php echo $GAPageLevelVar; ?>',
            '<meta name="php10">' => '<?php include_once $_SERVER["DOCUMENT_ROOT"] . "/includes/es-btm-section-f20.php"; ?>',
            '<meta name="php11">' => '  <?php include_once $_SERVER["DOCUMENT_ROOT"] . "/includes/footer-contact.php"; ?>',
            '<meta name="php12">' => '<?php include_once $_SERVER["DOCUMENT_ROOT"] . "/includes/footer-f20.php"; ?>',
            '<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.7.1/jquery.min.js"></script>' => '',
            'php9' => '<?php echo $cdn_path; ?>',
        ];

        $htmlContent = strtr($htmlContent, $replacements);

        $htmlContent = $this->remove_between_strings($htmlContent, '<script>//script-start', '//script-end</script>');

        // Save HTML content to file
        if (file_put_contents($filePath . '/' . $fileName, $htmlContent)) {
            return response()->json(['message' => 'HTML content received and processed successfully']);
        } else {
            return response()->json(['error' => 'Failed to save HTML content to file.']);
        }
    }

    protected function remove_between_strings($original_str, $start_str, $end_str)
    {
        $start_index = strpos($original_str, $start_str);
        $end_index = strpos($original_str, $end_str);

        // Check if both start and end strings exist in the original string
        if ($start_index !== false && $end_index !== false) {
            // Remove the content between start_str and end_str
            $modified_str = substr($original_str, 0, $start_index) . substr($original_str, $end_index + strlen($end_str));
            return $modified_str;
        } else {
            // Handle case where either start or end string is not found
            return $original_str;
        }
    }
}
