<!DOCTYPE html>
<html lang="en">

<head>
  <meta name="php1">
  <title>{{$service->meta_title}}</title>
  <meta name="description" content="{{$service->meta_description}}" />
  <meta name="keywords" content="{{$service->meta_keywords ?? ' '}}" />

  <!-- Facebook -->
  <meta property="og:title" content="{{$service->meta_title}}" />
  <meta property="og:description" content="{{$service->meta_description}}" />
  <meta property="og:image" content="/featured-images/answering-solutions.webp" />

  <!-- Twitter -->
  <meta name="twitter:title" content="{{$service->meta_title}}" />
  <meta name="twitter:description" content="{{$service->meta_description}}" />
  <meta name="twitter:image:src" content="/featured-images/answering-solutions.webp" />
  <meta name="twitter:card" content="summary_large_image" />
  <meta name="php2">
  <link href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" rel="stylesheet">
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"></script>

</head>

<body>
  <!-- HEADER STARTS -->
  <meta name="php3">
  <!-- HEADER ENDS -->

  <!-- SUB MENU STARTS -->
  <meta name="php4">
  <!-- SUB MENU ENDS -->

  <!-- H1 BANNER IMAGE STARTS -->
  <section id="bannerplain" data-wow-delay="300ms" class="wow fadeIn position-relative page-header parallax section-nav-smooth page-hgt">
    <img src="{{ asset('storage/banner_images/' . $service->banner_image) }}" class="img-fluid object-fit-cover" alt="{{$service->banner_title}}" title="{{$service->banner_title}}" />
    <div class="page-titles whitecolor text-center">
      <h1>{{$service->banner_title}}</h1>
      <p>{{$service->banner_description}}</p>
    </div>
  </section>
  <!-- H1 BANNER IMAGE ENDS -->

  <!-- TOP SMALL FORM STARTS -->
  <section id="smallFormInnerPage">
    <meta name="php5">
  </section>
  <!-- TOP SMALL FORM ENDS -->


  <!-- About us -->
  <section class="service-page-intro">
    <div class="container aboutus">
      <div class="row">
        <div class="col-lg-12 col-md-12 text-md-left">

          <div class="breadcrumbs mb-0">
            <ol vocab="http://schema.org/" typeof="BreadcrumbList">
              <li property="itemListElement" typeof="ListItem"><a property="item" typeof="WebPage" href="/"><span property="name">Outsource Services Home</span></a>
                <meta property="position" content="1">
              </li>
              <li property="itemListElement" typeof="ListItem"><a property="item" typeof="WebPage" href="/call-center-services/"><span property="name">Call Center Services</span></a>
                <meta property="position" content="2">
              </li>
              <li property="itemListElement" typeof="ListItem"><a property="item" typeof="WebPage" href="php6"><span property="name">Answering Services</span></a>
                <meta property="position" content="3">
              </li>
            </ol>
          </div>
        </div>
      </div>
      <div class="row mt-2">
        <div class="col-lg-12 col-md-12 text-md-left">
          <p>{{$service->body_content}}</p>
        </div>
      </div>
    </div>
  </section>

  @if(!empty($service->service_list_title))
  <section class="services-we-offer">
    <div class="container">
      <div class="row row-margin">
        <div class="col-md-12 col-xl-10 offset-xl-1 text-center">
          <h2>{{$service->service_list_title}}</h2>
          <p class="services-wel-txt">{{$service->service_list_description}}</p>
        </div>
      </div>
      <div class="row service-list">
        @foreach(json_decode($service->service_list_contents) as $item)
        <div class="col-md-12 col-xl-6 col-sm-12">
          <div class="contact-center-box">
            <img src="{{ asset($item->image) }}" class="img-fluid" alt="{{ $item->title }}" align="left">
            <h3><a href="/call-center/answering-services/medical-answering-services.php">{{ $item->title }}</a></h3>
            <p>{{ $item->description }}</p>
          </div>
        </div>
        @endforeach
      </div>
    </div>
    </div>
  </section>
  @endif


  {{-- More Services --}}

  @php
      $more_services = json_decode($service->more_service_items);
  @endphp

  @if (isset($more_services) && count($more_services) > 0)
  <section class="flat-event-head bg-white">
      <div class="container">
          <div class="flat-advantage disc-remove">
              <div class="row">
                  <div class="text-center">
                      <h3>{{ $service->more_service_main_title }}</h3>
                      <div class="space20"></div>
                  </div>
                  @foreach($more_services as $item)
                  <div class="col-md-6 col-sm-6 col-xl-4">
                      <div class="d-flex media-object">
                          <div class="flex-shrink-0">
                              <img src="https://www.flatworldsolutions.com/images/icons/12.svg" class="rounded-circle" alt="Arrow">
                          </div>
                          <div class="flex-grow-1 ms-3" >
                              {{ $item }}
                          </div>
                      </div>
                  </div>
                  @endforeach
              </div>
          </div>
      </div>
  </section>
  @endif


  @if(!empty($service->process_flow_title))
  <!-- Start Process adesign -->
  <section class="outsource-process1">
    <div class="container">
      <div class="row">
        <div class="col-xl-12 text-center">
          <h2 class="color-brand">{{ $service->process_flow_title??'' }}</h2>
          <div class="space30"></div>
          <p>{!! $service->process_flow_description !!}</p>
          <div class="space30"></div>
        </div>

        @foreach(json_decode($service->process_flow_contents) as $s)
        <div class="col-xl-4 col-md-6 col-sm-12">
          <div class="d-flex inner-media">
            <div class="flex-shrink-0">
              <div class="why-icon position-relative">
                <i class="fas fa-list-ol"></i>
                <span class="position-absolute top-0 start-100 translate-middle p-2 bg-danger border border-light">
                  <span class="badge-count">{{ $loop->iteration }}</span>
                </span>
              </div>

            </div>
            <div class="flex-grow-1 ms-3">
              <h3>{{ $s->title ?? '' }}</h3>
              <p>{{ $s->description ?? '' }}</p>
            </div>
          </div>
        </div>
        @endforeach

      </div>
    </div>
  </section>
  @endif

  @php
         $industries = json_decode($service->industry_items);
  @endphp

  {{-- Industries we Serve --}}
  @if (isset($industries) && count($industries) > 0)
  <section class="flatworld-advantage advantage-back ser-inn" id="indus_section">
      <div class="container">
          <div class="row effect-code">
              <div class="col-md-10 col-xl-8 offset-xl-2 offset-md-1 text-center">
                  <h2>{{ $service->industry_main_title }}</h2>
              </div>
              <div class="col-xl-12">
                  <div class="space30 border-space"></div>
              </div>

              @foreach($industries as $item)
              <div class="col-md-4 col-sm-6 col-xl-3 col-12">
                  <div class="d-flex media-object ">
                      <div class="flex-shrink-0">
                          <img src="https://www.flatworldsolutions.com/images/icons/12.svg" class="rounded-circle" alt="Arrow">
                      </div>
                      <div class="flex-grow-1 ms-3 new indus">
                        {{ $item }}
                      </div>
                  </div>
              </div>
              @endforeach
          </div>
      </div>
  </section>
  @endif

  @if(!empty($service->why_choose_title))
  <section class="services-advantage">
    <div class="container">
      <div class="row">
        <div class="col-md-10 offset-md-1 text-center">
          <div class="center-wel">
            <h2>{{ $service->why_choose_title??'' }}</h2>
            <p>{{ $service->why_choose_description??'' }}</p>
          </div>
        </div>

        @foreach(json_decode($service->why_choose_contents) as $item)
        <div class="col-md-6 col-sm-6 col-xl-3">
          <div class="featured-box">
            <i class="fa-sharp">{{ str_pad($loop->iteration, 2, '0', STR_PAD_LEFT) }}</i>
            <h4><a href="{{ $item->link }}">{{ $item->title }}</a></h4>
            <p>{{ $item->description }}</p>
          </div>
        </div>
        @endforeach

      </div>
    </div>
  </section>
  @endif

  @if(!empty($service->article_contents))
  <section class="our-services articles" />
        <div class="container" />
            <div class="row">
              <h2>{{ $service->article_main_title }}</h2>
              <div class="space20" />
            </div>
            @foreach(json_decode($service->article_contents) as $item)
                      <div class="col-md-6 col-sm-6 col-xl-3 mb-4" />
                            <div class="services-box" />
                                    <img src="{{ asset($item->image) }}" class="img-fluid" alt="{{ $item->description }}" />
                                      <div class="services-box-content" />
                                        @if($item->link)
                                        <h3><a href="{{ $item->link }}">{{ $item->description ?? '' }}</a></h3>
                                        @else
                                        <h3>{{ $item->description ?? '' }}</h3>
                                        @endif
                                      </div>
                            </div>
                      </div>
            @endforeach
        </div>
        </div>
  </section>
  @endif

  @if(!empty($service->additional_services_contents))
  <section class="services-addtional">
    <div class="container">
      <div class="row">
        <div class="col-md-12 text-center">
          <h2>{{ $service->additional_title }}</h2>
          <div class="space30"></div>
          <div class="space10"></div>
        </div>
        @foreach(json_decode($service->additional_services_contents) as $item)
        <div class="col-md-12 col-xl-6">
          <div class="inner-box-two">
            <div class="row">
              <div class="col-md-5">
                <a href="{{ $item->link ?? '' }}">
                  <h3>{{ $item->title }}</h3>
                </a>
              </div>
              <div class="col-md-7">
                <p>{{ $item->description }}</p>
              </div>
            </div>
          </div>
        </div>
        @endforeach
      </div>
    </div>
  </section>
  @endif

  @php
      $tech_images = json_decode($service->tech_images);
  @endphp
  {{-- Technology We Use --}}
  @if (isset($tech_images) && count($tech_images) > 0)
  <section id="icons-stripe-box-layout" class="software-healthcare">
      <div class="container">
          <div class="row">
              <h2>{{ $service->tech_title }}</h2>
              <div class="img-box healthcare">
                  @foreach ($tech_images as $item)
                  <img src="{{ asset('storage/tech_images/' . $item) }}" alt="" title="">
                  @endforeach
              </div>
          </div>
      </div>
  </section>
  @endif

  @if(!empty($service->client_success_stories))
  <!-- Start Client Success Stories Code -->
  <section id="successStories" class="client-success-stories">
    <div class="container">
      <div class="row wow fadeIn" data-wow-delay="400ms" style="visibility: visible; animation-delay: 400ms; animation-name: fadeIn;">
        <div class="col-md-12 col-lg-12 col-xl-8">
          <h2><a href="{{ $service->client_title_link }}">{{ $service->client_main_title }}</a> </h2>
          <div class="row">

            @foreach(json_decode($service->client_success_stories) as $item)
            <div class="col-xl-6 col-lg-6 col-md-12 col-12">
              <div class="d-flex media-object client-succ">
                <div class="flex-shrink-0">
                  <img src="/images/icons/12.svg" class="rounded-circle" alt="Arrow">
                </div>
                <div class="flex-grow-1 ms-3">
                  @if (!is_null($item->title_link))
                  <h4><a href="{{ $item->title_link }}">{{ $item->title ?? '' }}</a></h4>
                  @else
                  <h4>{{ $item->title ?? '' }}</h4>
                  @endif
                  <p>{{ $item->description ?? '' }}</p>
                  <a href="{{ $item->link ?? '' }}" class="read-mortgage">Read More <i class="fa fa-angle-double-right"></i></a>
              </div>
              </div>

            </div>
            @endforeach
          </div>
        </div>
        <div class="d-none d-xl-block col-xl-4">
          <img src="/images/success-stories.webp" class="img-fluid" alt="Success Stories ">
        </div>
      </div>
    </div>
    </div>
  </section>
  @endif

 

  {{-- Client Testimonials --}}

  @if (isset($service->testimonial_title))
  <section id="service-hm-testimonials" class="pb-5  wow fadeInDown" data-wow-delay="400ms">
      <div class="container">
          <div class="row py-4">
              <div class="col-md-12 m-auto text-center py-3">
                  <h2 class="service-top-heading-testim"><a href="{{ $service->testimonial_title_link }}">
                          {{ $service->testimonial_main_title?? '' }}
                      </a></h2>
              </div>
              <div class="col-md-12">
                  <div id="carouselExampleDark" class="carousel carousel-dark slide">
                      <div class="carousel-inner">
                          <div class="carousel-item active">
                              <i class="fa-solid fa-quote-left h1"></i>
                              <p class="description">{{ $service->testimonial_description ?? '' }}</p>
                              <h3 class="testimonial-title">
                                  <small>{{ $service->testimonial_author ?? '' }}</small> </small>
                              </h3>
                          </div>
                      </div>
                  </div>
              </div>
          </div>
          <div class="row">
              <div class="col-md-12 m-auto text-center">
                  <a href="{{ $service->testimonial_link ??''}}" class="butn butn__new">More Testimonials <i class="fa-solid fa-caret-right"></i></a>
              </div>
          </div>
      </div>
  </section>  
  @endif

  @php
       $outsource_dynamic = json_decode($service->outsource_dynamic);
  @endphp

  @if (isset($service->outsource_title))
  <section class="outsource-services">
    <div class="container">
        <div class="row">
            <div class="col-md-12">
                <h2>{{ $service->outsource_title }}</h2>
                <p>{{ $service->outsource_description }}</p>
                <div class="row">
                   @foreach ($outsource_dynamic as $item)
                   <div class="col-md-6 col-sm-6 col-xl-4">
                        <div class="d-flex media-object">
                            <div class="flex-shrink-0">
                            <img src="/images/icons/12.svg" class="rounded-circle" alt="Arrow">
                            </div>
                            <div class="flex-grow-1 ms-3">
                            <p>{{ $item  }}</p>
                            </div>
                        </div>
                    </div>  
                   @endforeach              
                        
                     
                  <p>{{ $service->outsource_para }}</p>
          
                  <center><a href="/forms/callcentercontactform.php#top" id="btm_cub" onclick="document.getElementById('btm_cub').href='/forms/callcentercontactform.php?loc=EOP&amp;url=service-template&amp;at=btn&amp;ft=Global&amp;cv=unknown_group-unknown_pagetype#top';" class="butn butn__new">Contact Us</a>
                  </center>
                </div>

             

            </div>
        </div>
    </div>
</section>  
  @endif  

  @php
      $faq_data = json_decode($service->faqs);
  @endphp


  <!-- Start FAQ Code -->
<section class="faqs-page pt-5">
  <div class="container">
      <div class="row">
          <h2 class="faqs-page-head">{{ $service->faq_main_title }}</h2>
          <div class="accordion" id="accordionExample">
              @foreach($faq_data as $index => $faq)
              <div class="accordion-item">
                  <h2 class="accordion-header" id="heading{{ $index }}">
                      <button class="accordion-button {{ $index == 0 ? '' : 'collapsed' }}" type="button" data-bs-toggle="collapse" data-bs-target="#collapse{{ $index }}" aria-expanded="{{ $index == 0 ? 'true' : 'false' }}" aria-controls="collapse{{ $index }}">
                          {{ $faq->title }}
                      </button>
                  </h2>
                  <div id="collapse{{ $index }}" class="accordion-collapse collapse {{ $index == 0 ? 'show' : '' }}" aria-labelledby="heading{{ $index }}" data-bs-parent="#accordionExample">
                      <div class="accordion-body">
                          {{ $faq->description }}
                      </div>
                  </div>
              </div>
              @endforeach
          </div>
      </div>
  </div>
</section>
<!-- ENd FAQ Code -->
<!-- Success Modal -->
<div class="modal fade" id="successModal" tabindex="-1" role="dialog" aria-labelledby="successModalLabel" aria-hidden="true">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      {{-- <div class="modal-header">
        <h5 class="modal-title" id="successModalLabel">Success</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div> --}}
      <div class="modal-body mx-auto text-center my-auto">
        <h2>The page is published</h2>
        <br>
        <p>Click below url to view the page</p>
        <br>
        <a href="{{ url($service->slug) }}" target="_blank">{{ url($service->slug) }}</a>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-primary" id="successModalButton">OK</button>
      </div>
    </div>
  </div>
</div>

<!-- Error Modal -->
<div class="modal fade" id="errorModal" tabindex="-1" role="dialog" aria-labelledby="errorModalLabel" aria-hidden="true">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="errorModalLabel">Error</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        Something went wrong. Please try again.
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
      </div>
    </div>
  </div>
</div>


  <!-- BOTTOM THREE BOX STARTS -->
  <meta name="php10">
  <!-- BOTTOM THREE BOX Ends -->

  <meta name="php11">
  <!-- FOOTER STARTS -->
  <meta name="php12">
  <!-- FOOTER ENDS -->
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.7.1/jquery.min.js"></script>
  <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"></script>
  <script>
  $(document).ready(function() {
      var slug = "{{ $service->slug }}";
      var htmlContent = document.documentElement.outerHTML;
  
      $.ajax({
          url: '{{ route("save-html") }}',
          type: 'POST',
          headers: {
              'X-CSRF-TOKEN': '{{ csrf_token() }}'
          },
          data: {
              htmlContent: htmlContent,
              slug: slug
          },
          success: function(response) {
              $('#successModal').modal('show');
              $('#successModalButton').on('click', function() {
                  window.location.href = '{{ url("admin/service/index") }}';
              });
          },
          error: function(xhr, status, error) {
              console.error(error);
              $('#errorModal').modal('show');
          }
      });
  });
  </script>
  



</body>

</html>