<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
<?php $__env->startSection('title', $service->meta_title); ?>
<?php $__env->startSection('meta_keywords', $service->meta_keywords); ?>
<?php $__env->startSection('meta_description', $service->meta_description); ?>

<meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">
<?php $__env->startSection('content'); ?>

<style>
    /* .disc-remove ul li {
        list-style: none !important;

    }

    .new li {
        color: white !important;
        list-style: none !important;
    } */

    .indus {
        color: white !important;
    }
</style>

<?php echo $__env->make('inc.header', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

<!-- H1 BANNER IMAGE STARTS -->
<section id="bannerplain" data-wow-delay="300ms" class="wow fadeIn position-relative page-header parallax section-nav-smooth page-hgt">
    <img src="<?php echo e(asset('storage/banner_images/' . $service->banner_image)); ?>" class="img-fluid object-fit-cover" alt="Answering Services" title="Answering Services" />
    <div class="page-titles whitecolor text-center">
        <h1><?php echo e($service->banner_title ?? ''); ?></h1>
        <div><?php echo e($service->banner_description ?? ''); ?></div>

    </div>
</section>
<!-- H1 BANNER IMAGE ENDS -->

<!-- About us -->
<section class="service-page-intro">
    <div class="container aboutus">
        <div class="row">
            <div class="col-lg-12 col-md-12 text-md-left">

                
            </div>
        </div>
        <div class="row mt-2">
            <div class="col-lg-12 col-md-12 text-md-left">
                <div><?php echo $service->body_content ?? ''; ?></div>
            </div>
        </div>
    </div>
</section>


<?php
function hasValidService($services) {
    foreach ($services as $service) {
        if (!is_null($service->image) || !is_null($service->title) || !is_null($service->description) || !is_null($service->link)) {
            return true;
        }
    }
    return false;
}
?>
<?php if(isset($service_list_data) && count($service_list_data) > 0 && hasValidService($service_list_data)): ?>
    <section class="services-we-offer">
        <div class="container">
            <div class="row row-margin">
                <div class="col-md-12 col-xl-10 offset-xl-1 text-center">
                    <h2><?php echo e($service->service_list_title??''); ?></h2>
                    <p class="services-wel-txt"><?php echo $service->service_list_description ?? ''; ?></p>
                </div>
            </div>
            <div class="row service-list">

                <?php $__currentLoopData = $service_list_data; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $s): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <div class="col-md-12 col-xl-6 col-sm-12">
                    <div class="contact-center-box">
                        <img src="<?php echo e(asset($s->image)); ?>" align="left">
                        <h3><a href="<?php echo e($s->link ?? ''); ?>"><?php echo e($s->title ?? ''); ?></a></h3>
                        <p><?php echo e($s->description ?? ''); ?></p>
                    </div>
                </div>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

            </div>
        </div>
        </div>
    </section>  
<?php endif; ?>



<?php
function hasValidMoreService($services) {
    foreach ($services as $service) {
        if (!is_null($service) && $service !== '') {
            return true;
        }
    }
    return false;
}
?>
<?php if(isset($more_services) && count($more_services) > 0 && hasValidMoreService($more_services)): ?>
<section class="flat-event-head bg-white">
    <div class="container">
        <div class="flat-advantage disc-remove">
            <div class="row">
                <div class="text-center">
                    <h3><?php echo e($service->more_service_main_title); ?></h3>
                    <div class="space20"></div>
                </div>
                <?php $__currentLoopData = $more_services; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <div class="col-md-6 col-sm-6 col-xl-4">
                    <div class="d-flex media-object">
                        <div class="flex-shrink-0">
                            <img src="https://www.flatworldsolutions.com/images/icons/12.svg" class="rounded-circle" alt="Arrow">
                        </div>
                        <div class="flex-grow-1 ms-3" >
                            <?php echo e($item); ?>

                        </div>
                    </div>
                </div>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </div>
        </div>
    </div>
</section>
<?php endif; ?>



<?php if(isset($process_flow_contents) && count($process_flow_contents) > 0): ?>
    <?php
        $hasValidContent = false;
        foreach ($process_flow_contents as $item) {
            if (!is_null($item->logo) || !is_null($item->title) || !is_null($item->description)) {
                $hasValidContent = true;
                break;
            }
        }
    ?>
    <?php if($hasValidContent): ?>
    <section class="outsource-process1">
        <div class="container">
            <div class="row">
                <div class="col-xl-12 text-center">
                    <h2 class="color-brand"><?php echo e($service->process_flow_title ?? ''); ?></h2>
                    <div class="space30"></div>
                    <p><?php echo $service->process_flow_description; ?></p>
                    <div class="space30"></div>
                </div>
                <?php $__currentLoopData = $process_flow_contents; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $s): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <?php if(!is_null($s->logo) || !is_null($s->title) || !is_null($s->description)): ?>
                <div class="col-xl-4 col-md-6 col-sm-12">
                    <div class="d-flex inner-media">
                        <div class="flex-shrink-0">
                            <div class="why-icon position-relative">
                                <span><?php echo $s->logo; ?></span>
                                <span class="position-absolute top-0 start-100 translate-middle p-2 bg-danger border border-light">
                                    <span class="badge-count"><?php echo e($loop->iteration); ?></span>
                                </span>
                            </div>
                        </div>
                        <div class="flex-grow-1 ms-3">
                            <h3><?php echo e($s->title ?? ''); ?></h3>
                            <p><?php echo e($s->description ?? ''); ?></p>
                        </div>
                    </div>
                </div>
                <?php endif; ?>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </div>
        </div>
    </section>
    <?php endif; ?>
<?php endif; ?>





<?php
function hasValidIndustry($industries) {
    foreach ($industries as $industry) {
        if (!is_null($industry) && $industry !== '') {
            return true;
        }
    }
    return false;
}
?>
<?php if(isset($industries) && count($industries) > 0 && hasValidIndustry($industries)): ?>
<section class="flatworld-advantage advantage-back ser-inn" id="indus_section">
    <div class="container">
        <div class="row effect-code">
            <div class="col-md-10 col-xl-8 offset-xl-2 offset-md-1 text-center">
                <h2><?php echo e($service->industry_main_title); ?></h2>
            </div>
            <div class="col-xl-12">
                <div class="space30 border-space"></div>
            </div>

            <?php $__currentLoopData = $industries; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <div class="col-md-4 col-sm-6 col-xl-3 col-12">
                <div class="d-flex media-object ">
                    <div class="flex-shrink-0">
                        <img src="https://www.flatworldsolutions.com/images/icons/12.svg" class="rounded-circle" alt="Arrow">
                    </div>
                    <div class="flex-grow-1 ms-3 new indus">
                       <?php echo e($item); ?>

                    </div>
                </div>
            </div>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </div>
    </div>
</section>
<?php endif; ?>


<?php if(isset($why_choose_contents) && count($why_choose_contents) > 0): ?>
    <?php
        $hasValidContent = false;
        foreach ($why_choose_contents as $item) {
            if (!is_null($item->title) || !is_null($item->description) || !is_null($item->link)) {
                $hasValidContent = true;
                break;
            }
        }
    ?>
    <?php if($hasValidContent): ?>
    <section class="services-advantage">
        <div class="container">
            <div class="row">
                <div class="col-md-10 offset-md-1 text-center">
                    <div class="center-wel">
                        <h2><?php echo e($service->why_choose_title ?? ''); ?></h2>
                        <p><?php echo e($service->why_choose_description ?? ''); ?></p>
                    </div>
                </div>

                <?php $__currentLoopData = $why_choose_contents; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <?php if(!is_null($item->title) || !is_null($item->description) || !is_null($item->link)): ?>
                    <div class="col-md-6 col-sm-6 col-xl-3">
                        <div class="featured-box">
                            <i class="fa-sharp"><?php echo e(str_pad($loop->iteration, 2, '0', STR_PAD_LEFT)); ?></i>
                            <?php if($item->link): ?>
                                <h4><a href="<?php echo e($item->link); ?>"><?php echo e($item->title ?? ''); ?></a></h4>
                            <?php else: ?>
                                <h4><?php echo e($item->title ?? ''); ?></h4>
                            <?php endif; ?>
                            <p><?php echo e($item->description ?? ''); ?></p>
                        </div>
                    </div>
                    <?php endif; ?>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

            </div>
        </div>
    </section>
    <?php endif; ?>
<?php endif; ?>



<?php
function hasValidArticle($articles) {
    foreach ($articles as $article) {
        if (!is_null($article->image) || !is_null($article->description) || !is_null($article->link)) {
            return true;
        }
    }
    return false;
}
?>
<?php if(isset($article_contents) && count($article_contents) > 0 && hasValidArticle($article_contents)): ?>
<section class="our-services articles">
    <div class="container">
        <div class="row">
            <h2><?php echo e($service->article_main_title); ?></h2>
            <div class="space20"></div>
        </div>

        <div class="row">
            <?php $__currentLoopData = $article_contents; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <div class="col-md-6 col-sm-6 col-xl-3 mb-4">
                <div class="services-box">
                    <img src="<?php echo e(asset($item->image)); ?>" align="left" width="318px" height="200px">
                    <div class="services-box-content">
                        <?php if($item->link): ?>
                        <h3><a href="<?php echo e($item->link); ?>"><?php echo e($item->description ?? ''); ?></a></h3>
                        <?php else: ?>
                        <h3><?php echo e($item->description ?? ''); ?></h3>
                        <?php endif; ?>
                    </div>
                </div>
            </div>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </div>
    </div>
</section>
<?php endif; ?>


<?php
function hasValidAdditionalService($services) {
    foreach ($services as $service) {
        if (!is_null($service->title) || !is_null($service->description) || !is_null($service->link)) {
            return true;
        }
    }
    return false;
}
?>
<?php if(isset($additional_services_contents) && count($additional_services_contents) > 0 && hasValidAdditionalService($additional_services_contents)): ?>
<section class="services-addtional">
    <div class="container">
        <div class="row">
            <div class="col-md-12 text-center">
                <h2><?php echo e($service->additional_title); ?></h2>
                <div class="space30"></div>
                <div class="space10"></div>
            </div>
            <?php $__currentLoopData = $additional_services_contents; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <?php if(!is_null($item->title) || !is_null($item->description) || !is_null($item->link)): ?>
                <div class="col-md-12 col-xl-6">
                    <div class="inner-box-two">
                        <div class="row">
                            <div class="col-md-5">
                                <a href="<?php echo e($item->link ?? ''); ?>">
                                    <h3><?php echo e($item->title ?? ''); ?></h3>
                                </a>
                            </div>
                            <div class="col-md-7">
                                <p><?php echo e($item->description ?? ''); ?></p>
                            </div>
                        </div>
                    </div>
                </div>
                <?php endif; ?>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </div>
    </div>
</section>
<?php endif; ?>



<?php if(isset($tech_images) && count($tech_images) > 0): ?>
<section id="icons-stripe-box-layout" class="software-healthcare">
    <div class="container">
        <div class="row">
            <h2><?php echo e($service->tech_title); ?></h2>
            <div class="img-box healthcare">
                <?php $__currentLoopData = $tech_images; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <img src="<?php echo e(asset('storage/tech_images/' . $item)); ?>" alt="" title="">
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </div>
        </div>
    </div>
</section>
<?php endif; ?>


<?php
function hasValidClientSuccessStory($stories) {
    foreach ($stories as $story) {
        if (!is_null($story->title) || !is_null($story->description) || !is_null($story->link)) {
            return true;
        }
    }
    return false;
}
?>
<?php if(isset($client_success_stories) && count($client_success_stories) > 0 && hasValidClientSuccessStory($client_success_stories)): ?>
<section id="successStories" class="client-success-stories">
    <div class="container">
        <div class="row wow fadeIn" data-wow-delay="400ms" style="visibility: visible; animation-delay: 400ms; animation-name: fadeIn;">
            <div class="col-md-12 col-lg-12 col-xl-8">
                <h2><a href="<?php echo e($service->client_title_link); ?>"><?php echo e($service->client_main_title); ?></a> </h2>
                <div class="row">
                    <?php $__currentLoopData = $client_success_stories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <?php if(!is_null($item->title) || !is_null($item->description) || !is_null($item->link)): ?>
                        <div class="col-xl-6 col-lg-6 col-md-12 col-12">
                            <div class="d-flex media-object client-succ">
                                <div class="flex-shrink-0">
                                    <img src="https://www.flatworldsolutions.com/images/icons/12.svg" class="rounded-circle" alt="Arrow">
                                </div>
                                <div class="flex-grow-1 ms-3">
                                    <?php if(!is_null($item->title_link)): ?>
                                    <h4><a href="<?php echo e($item->title_link); ?>"><?php echo e($item->title ?? ''); ?></a></h4>
                                    <?php else: ?>
                                    <h4><?php echo e($item->title ?? ''); ?></h4>
                                    <?php endif; ?>
                                    <p><?php echo e($item->description ?? ''); ?></p>
                                    <a href="<?php echo e($item->link ?? ''); ?>" class="read-mortgage">Read More <i class="fa fa-angle-double-right"></i></a>
                                </div>
                            </div>
                        </div>
                        <?php endif; ?>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </div>
            </div>
            <div class="d-none d-xl-block col-xl-4">
                <img src="https://www.flatworldsolutions.com/images/success-stories.webp" class="img-fluid" alt="Success Stories ">
            </div>
        </div>
    </div>
</section>
<?php endif; ?>




<?php if(isset($service->testimonial_title)): ?>
<section id="service-hm-testimonials" class="pb-5  wow fadeInDown" data-wow-delay="400ms">
    <div class="container">
        <div class="row py-4">
            <div class="col-md-12 m-auto text-center py-3">
                <h2 class="service-top-heading-testim"><a href="<?php echo e($service->testimonial_title_link); ?>">
                        <?php echo e($service->testimonial_main_title?? ''); ?>

                    </a></h2>
            </div>
            <div class="col-md-12">
                <div id="carouselExampleDark" class="carousel carousel-dark slide">
                    <div class="carousel-inner">
                        <div class="carousel-item active">
                            <i class="fa-solid fa-quote-left h1"></i>
                            <p class="description"><?php echo e($service->testimonial_description ?? ''); ?></p>
                            <h3 class="testimonial-title">
                                <small><?php echo e($service->testimonial_author ?? ''); ?></small> </small>
                            </h3>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-md-12 m-auto text-center">
                <a href="<?php echo e($service->testimonial_link ??''); ?>" class="butn butn__new">More Testimonials <i class="fa-solid fa-caret-right"></i></a>
            </div>
        </div>
    </div>
</section>  
<?php endif; ?>




  <?php if(isset($service->outsource_title)): ?>
  <section class="outsource-services">
    <div class="container">
        <div class="row">
            <div class="col-md-12">
                <h2><?php echo e($service->outsource_title); ?></h2>
                <p><?php echo e($service->outsource_description); ?></p>
                <div class="row">
                   <?php $__currentLoopData = $outsource_dynamic; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                   <div class="col-md-6 col-sm-6 col-xl-4">
                        <div class="d-flex media-object">
                            <div class="flex-shrink-0">
                            <img src="/images/icons/12.svg" class="rounded-circle" alt="Arrow">
                            </div>
                            <div class="flex-grow-1 ms-3">
                            <p><?php echo e($item); ?></p>
                            </div>
                        </div>
                    </div>  
                   <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>              
                        
                     
                  <p><?php echo e($service->outsource_para); ?></p>
          
                  <center><a href="/forms/callcentercontactform.php#top" id="btm_cub" onclick="document.getElementById('btm_cub').href='/forms/callcentercontactform.php?loc=EOP&amp;url=service-template&amp;at=btn&amp;ft=Global&amp;cv=unknown_group-unknown_pagetype#top';" class="butn butn__new">Contact Us</a>
                  </center>
                </div>

             

            </div>
        </div>
    </div>
</section>  
  <?php endif; ?>  


<!-- Start FAQ Code -->

<?php
function hasValidFaq($faqs) {
    foreach ($faqs as $faq) {
        if (!is_null($faq->title) || !is_null($faq->description)) {
            return true;
        }
    }
    return false;
}
?>

<?php if(isset($faq_data) && count($faq_data) > 0 && hasValidFaq($faq_data)): ?>
<section class="faqs-page pt-5">
    <div class="container">
        <div class="row">
            <h2 class="faqs-page-head"><?php echo e($service->faq_main_title ?? ''); ?></h2>
            <div class="accordion" id="accordionExample">
                <?php $__currentLoopData = $faq_data; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $index => $faq): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <div class="accordion-item">
                    <h2 class="accordion-header" id="heading<?php echo e($index); ?>">
                        <button class="accordion-button <?php echo e($index == 0 ? '' : 'collapsed'); ?>" type="button" data-bs-toggle="collapse" data-bs-target="#collapse<?php echo e($index); ?>" aria-expanded="<?php echo e($index == 0 ? 'true' : 'false'); ?>" aria-controls="collapse<?php echo e($index); ?>">
                            <?php echo e($faq->title ?? ''); ?>

                        </button>
                    </h2>
                    <div id="collapse<?php echo e($index); ?>" class="accordion-collapse collapse <?php echo e($index == 0 ? 'show' : ''); ?>" aria-labelledby="heading<?php echo e($index); ?>" data-bs-parent="#accordionExample">
                        <div class="accordion-body">
                            <?php echo e($faq->description ?? ''); ?>

                        </div>
                    </div>
                </div>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </div>
        </div>
    </div>
</section>
<?php endif; ?>

<!-- ENd FAQ Code -->

<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.7.1/jquery.min.js"></script>
<script>
    var slug = "<?php echo e($service->slug); ?>";

    var htmlContent = document.documentElement.outerHTML;

    $.ajax({
        url: '<?php echo e(route("save-html")); ?>',
        type: 'POST',
        headers: {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        },
        data: {
            htmlContent: htmlContent,
            slug: slug
        },
        success: function(response) {
            console.log(response);
        },
        error: function(xhr, status, error) {
            console.error(error);
        }
    });
</script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('inc.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /opt/lampp/htdocs/otika admin template/resources/views/service.blade.php ENDPATH**/ ?>