<!DOCTYPE html>
<html lang="en">

<head>
  <meta name="php1">
  <title><?php echo e($service->meta_title); ?></title>
  <meta name="description" content="<?php echo e($service->meta_description); ?>" />
  <meta name="keywords" content="<?php echo e($service->meta_keywords ?? ' '); ?>" />

  <!-- Facebook -->
  <meta property="og:title" content="<?php echo e($service->meta_title); ?>" />
  <meta property="og:description" content="<?php echo e($service->meta_description); ?>" />
  <meta property="og:image" content="/featured-images/answering-solutions.webp" />

  <!-- Twitter -->
  <meta name="twitter:title" content="<?php echo e($service->meta_title); ?>" />
  <meta name="twitter:description" content="<?php echo e($service->meta_description); ?>" />
  <meta name="twitter:image:src" content="/featured-images/answering-solutions.webp" />
  <meta name="twitter:card" content="summary_large_image" />
  <meta name="php2">
  <link href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" rel="stylesheet">
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"></script>

</head>

<body>
  <!-- HEADER STARTS -->
  <meta name="php3">
  <!-- HEADER ENDS -->

  <!-- SUB MENU STARTS -->
  <meta name="php4">
  <!-- SUB MENU ENDS -->

  <!-- H1 BANNER IMAGE STARTS -->
  <section id="bannerplain" data-wow-delay="300ms" class="wow fadeIn position-relative page-header parallax section-nav-smooth page-hgt">
    <img src="<?php echo e(asset('storage/banner_images/' . $service->banner_image)); ?>" class="img-fluid object-fit-cover" alt="<?php echo e($service->banner_title); ?>" title="<?php echo e($service->banner_title); ?>" />
    <div class="page-titles whitecolor text-center">
      <h1><?php echo e($service->banner_title); ?></h1>
      <p><?php echo e($service->banner_description); ?></p>
    </div>
  </section>
  <!-- H1 BANNER IMAGE ENDS -->

  <!-- TOP SMALL FORM STARTS -->
  <section id="smallFormInnerPage">
    <meta name="php5">
  </section>
  <!-- TOP SMALL FORM ENDS -->


  <!-- About us -->
  <section class="service-page-intro">
    <div class="container aboutus">
      <div class="row">
        <div class="col-lg-12 col-md-12 text-md-left">

          <div class="breadcrumbs mb-0">
            <ol vocab="http://schema.org/" typeof="BreadcrumbList">
              <li property="itemListElement" typeof="ListItem"><a property="item" typeof="WebPage" href="/"><span property="name">Outsource Services Home</span></a>
                <meta property="position" content="1">
              </li>
              <li property="itemListElement" typeof="ListItem"><a property="item" typeof="WebPage" href="/call-center-services/"><span property="name">Call Center Services</span></a>
                <meta property="position" content="2">
              </li>
              <li property="itemListElement" typeof="ListItem"><a property="item" typeof="WebPage" href="php6"><span property="name">Answering Services</span></a>
                <meta property="position" content="3">
              </li>
            </ol>
          </div>
        </div>
      </div>
      <div class="row mt-2">
        <div class="col-lg-12 col-md-12 text-md-left">
          <p><?php echo e($service->body_content); ?></p>
        </div>
      </div>
    </div>
  </section>

  <?php if(!empty($service->service_list_title)): ?>
  <section class="services-we-offer">
    <div class="container">
      <div class="row row-margin">
        <div class="col-md-12 col-xl-10 offset-xl-1 text-center">
          <h2><?php echo e($service->service_list_title); ?></h2>
          <p class="services-wel-txt"><?php echo e($service->service_list_description); ?></p>
        </div>
      </div>
      <div class="row service-list">
        <?php $__currentLoopData = json_decode($service->service_list_contents); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
        <div class="col-md-12 col-xl-6 col-sm-12">
          <div class="contact-center-box">
            <img src="<?php echo e(asset($item->image)); ?>" class="img-fluid" alt="<?php echo e($item->title); ?>" align="left">
            <h3><a href="/call-center/answering-services/medical-answering-services.php"><?php echo e($item->title); ?></a></h3>
            <p><?php echo e($item->description); ?></p>
          </div>
        </div>
        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
      </div>
    </div>
    </div>
  </section>
  <?php endif; ?>


  

  <?php
      $more_services = json_decode($service->more_service_items);
  ?>

  <?php if(isset($more_services) && count($more_services) > 0): ?>
  <section class="flat-event-head bg-white">
      <div class="container">
          <div class="flat-advantage disc-remove">
              <div class="row">
                  <div class="text-center">
                      <h3><?php echo e($service->more_service_main_title); ?></h3>
                      <div class="space20"></div>
                  </div>
                  <?php $__currentLoopData = $more_services; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                  <div class="col-md-6 col-sm-6 col-xl-4">
                      <div class="d-flex media-object">
                          <div class="flex-shrink-0">
                              <img src="https://www.flatworldsolutions.com/images/icons/12.svg" class="rounded-circle" alt="Arrow">
                          </div>
                          <div class="flex-grow-1 ms-3" >
                              <?php echo e($item); ?>

                          </div>
                      </div>
                  </div>
                  <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
              </div>
          </div>
      </div>
  </section>
  <?php endif; ?>


  <?php if(!empty($service->process_flow_title)): ?>
  <!-- Start Process adesign -->
  <section class="outsource-process1">
    <div class="container">
      <div class="row">
        <div class="col-xl-12 text-center">
          <h2 class="color-brand"><?php echo e($service->process_flow_title??''); ?></h2>
          <div class="space30"></div>
          <p><?php echo $service->process_flow_description; ?></p>
          <div class="space30"></div>
        </div>

        <?php $__currentLoopData = json_decode($service->process_flow_contents); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $s): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
        <div class="col-xl-4 col-md-6 col-sm-12">
          <div class="d-flex inner-media">
            <div class="flex-shrink-0">
              <div class="why-icon position-relative">
                <i class="fas fa-list-ol"></i>
                <span class="position-absolute top-0 start-100 translate-middle p-2 bg-danger border border-light">
                  <span class="badge-count"><?php echo e($loop->iteration); ?></span>
                </span>
              </div>

            </div>
            <div class="flex-grow-1 ms-3">
              <h3><?php echo e($s->title ?? ''); ?></h3>
              <p><?php echo e($s->description ?? ''); ?></p>
            </div>
          </div>
        </div>
        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

      </div>
    </div>
  </section>
  <?php endif; ?>

  <?php
         $industries = json_decode($service->industry_items);
  ?>

  
  <?php if(isset($industries) && count($industries) > 0): ?>
  <section class="flatworld-advantage advantage-back ser-inn" id="indus_section">
      <div class="container">
          <div class="row effect-code">
              <div class="col-md-10 col-xl-8 offset-xl-2 offset-md-1 text-center">
                  <h2><?php echo e($service->industry_main_title); ?></h2>
              </div>
              <div class="col-xl-12">
                  <div class="space30 border-space"></div>
              </div>

              <?php $__currentLoopData = $industries; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
              <div class="col-md-4 col-sm-6 col-xl-3 col-12">
                  <div class="d-flex media-object ">
                      <div class="flex-shrink-0">
                          <img src="https://www.flatworldsolutions.com/images/icons/12.svg" class="rounded-circle" alt="Arrow">
                      </div>
                      <div class="flex-grow-1 ms-3 new indus">
                        <?php echo e($item); ?>

                      </div>
                  </div>
              </div>
              <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
          </div>
      </div>
  </section>
  <?php endif; ?>

  <?php if(!empty($service->why_choose_title)): ?>
  <section class="services-advantage">
    <div class="container">
      <div class="row">
        <div class="col-md-10 offset-md-1 text-center">
          <div class="center-wel">
            <h2><?php echo e($service->why_choose_title??''); ?></h2>
            <p><?php echo e($service->why_choose_description??''); ?></p>
          </div>
        </div>

        <?php $__currentLoopData = json_decode($service->why_choose_contents); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
        <div class="col-md-6 col-sm-6 col-xl-3">
          <div class="featured-box">
            <i class="fa-sharp"><?php echo e(str_pad($loop->iteration, 2, '0', STR_PAD_LEFT)); ?></i>
            <h4><a href="<?php echo e($item->link); ?>"><?php echo e($item->title); ?></a></h4>
            <p><?php echo e($item->description); ?></p>
          </div>
        </div>
        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

      </div>
    </div>
  </section>
  <?php endif; ?>

  <?php if(!empty($service->article_contents)): ?>
  <section class="our-services articles" />
        <div class="container" />
            <div class="row">
              <h2><?php echo e($service->article_main_title); ?></h2>
              <div class="space20" />
            </div>
            <?php $__currentLoopData = json_decode($service->article_contents); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                      <div class="col-md-6 col-sm-6 col-xl-3 mb-4" />
                            <div class="services-box" />
                                    <img src="<?php echo e(asset($item->image)); ?>" class="img-fluid" alt="<?php echo e($item->description); ?>" />
                                      <div class="services-box-content" />
                                        <?php if($item->link): ?>
                                        <h3><a href="<?php echo e($item->link); ?>"><?php echo e($item->description ?? ''); ?></a></h3>
                                        <?php else: ?>
                                        <h3><?php echo e($item->description ?? ''); ?></h3>
                                        <?php endif; ?>
                                      </div>
                            </div>
                      </div>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </div>
        </div>
  </section>
  <?php endif; ?>

  <?php if(!empty($service->additional_services_contents)): ?>
  <section class="services-addtional">
    <div class="container">
      <div class="row">
        <div class="col-md-12 text-center">
          <h2><?php echo e($service->additional_title); ?></h2>
          <div class="space30"></div>
          <div class="space10"></div>
        </div>
        <?php $__currentLoopData = json_decode($service->additional_services_contents); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
        <div class="col-md-12 col-xl-6">
          <div class="inner-box-two">
            <div class="row">
              <div class="col-md-5">
                <a href="<?php echo e($item->link ?? ''); ?>">
                  <h3><?php echo e($item->title); ?></h3>
                </a>
              </div>
              <div class="col-md-7">
                <p><?php echo e($item->description); ?></p>
              </div>
            </div>
          </div>
        </div>
        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
      </div>
    </div>
  </section>
  <?php endif; ?>

  <?php
      $tech_images = json_decode($service->tech_images);
  ?>
  
  <?php if(isset($tech_images) && count($tech_images) > 0): ?>
  <section id="icons-stripe-box-layout" class="software-healthcare">
      <div class="container">
          <div class="row">
              <h2><?php echo e($service->tech_title); ?></h2>
              <div class="img-box healthcare">
                  <?php $__currentLoopData = $tech_images; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                  <img src="<?php echo e(asset('storage/tech_images/' . $item)); ?>" alt="" title="">
                  <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
              </div>
          </div>
      </div>
  </section>
  <?php endif; ?>

  <?php if(!empty($service->client_success_stories)): ?>
  <!-- Start Client Success Stories Code -->
  <section id="successStories" class="client-success-stories">
    <div class="container">
      <div class="row wow fadeIn" data-wow-delay="400ms" style="visibility: visible; animation-delay: 400ms; animation-name: fadeIn;">
        <div class="col-md-12 col-lg-12 col-xl-8">
          <h2><a href="<?php echo e($service->client_title_link); ?>"><?php echo e($service->client_main_title); ?></a> </h2>
          <div class="row">

            <?php $__currentLoopData = json_decode($service->client_success_stories); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <div class="col-xl-6 col-lg-6 col-md-12 col-12">
              <div class="d-flex media-object client-succ">
                <div class="flex-shrink-0">
                  <img src="/images/icons/12.svg" class="rounded-circle" alt="Arrow">
                </div>
                <div class="flex-grow-1 ms-3">
                  <?php if(!is_null($item->title_link)): ?>
                  <h4><a href="<?php echo e($item->title_link); ?>"><?php echo e($item->title ?? ''); ?></a></h4>
                  <?php else: ?>
                  <h4><?php echo e($item->title ?? ''); ?></h4>
                  <?php endif; ?>
                  <p><?php echo e($item->description ?? ''); ?></p>
                  <a href="<?php echo e($item->link ?? ''); ?>" class="read-mortgage">Read More <i class="fa fa-angle-double-right"></i></a>
              </div>
              </div>

            </div>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
          </div>
        </div>
        <div class="d-none d-xl-block col-xl-4">
          <img src="/images/success-stories.webp" class="img-fluid" alt="Success Stories ">
        </div>
      </div>
    </div>
    </div>
  </section>
  <?php endif; ?>

 

  

  <?php if(isset($service->testimonial_title)): ?>
  <section id="service-hm-testimonials" class="pb-5  wow fadeInDown" data-wow-delay="400ms">
      <div class="container">
          <div class="row py-4">
              <div class="col-md-12 m-auto text-center py-3">
                  <h2 class="service-top-heading-testim"><a href="<?php echo e($service->testimonial_title_link); ?>">
                          <?php echo e($service->testimonial_main_title?? ''); ?>

                      </a></h2>
              </div>
              <div class="col-md-12">
                  <div id="carouselExampleDark" class="carousel carousel-dark slide">
                      <div class="carousel-inner">
                          <div class="carousel-item active">
                              <i class="fa-solid fa-quote-left h1"></i>
                              <p class="description"><?php echo e($service->testimonial_description ?? ''); ?></p>
                              <h3 class="testimonial-title">
                                  <small><?php echo e($service->testimonial_author ?? ''); ?></small> </small>
                              </h3>
                          </div>
                      </div>
                  </div>
              </div>
          </div>
          <div class="row">
              <div class="col-md-12 m-auto text-center">
                  <a href="<?php echo e($service->testimonial_link ??''); ?>" class="butn butn__new">More Testimonials <i class="fa-solid fa-caret-right"></i></a>
              </div>
          </div>
      </div>
  </section>  
  <?php endif; ?>

  <?php
       $outsource_dynamic = json_decode($service->outsource_dynamic);
  ?>

  <?php if(isset($service->outsource_title)): ?>
  <section class="outsource-services">
    <div class="container">
        <div class="row">
            <div class="col-md-12">
                <h2><?php echo e($service->outsource_title); ?></h2>
                <p><?php echo e($service->outsource_description); ?></p>
                <div class="row">
                   <?php $__currentLoopData = $outsource_dynamic; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                   <div class="col-md-6 col-sm-6 col-xl-4">
                        <div class="d-flex media-object">
                            <div class="flex-shrink-0">
                            <img src="/images/icons/12.svg" class="rounded-circle" alt="Arrow">
                            </div>
                            <div class="flex-grow-1 ms-3">
                            <p><?php echo e($item); ?></p>
                            </div>
                        </div>
                    </div>  
                   <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>              
                        
                     
                  <p><?php echo e($service->outsource_para); ?></p>
          
                  <center><a href="/forms/callcentercontactform.php#top" id="btm_cub" onclick="document.getElementById('btm_cub').href='/forms/callcentercontactform.php?loc=EOP&amp;url=service-template&amp;at=btn&amp;ft=Global&amp;cv=unknown_group-unknown_pagetype#top';" class="butn butn__new">Contact Us</a>
                  </center>
                </div>

             

            </div>
        </div>
    </div>
</section>  
  <?php endif; ?>  

  <?php
      $faq_data = json_decode($service->faqs);
  ?>


  <!-- Start FAQ Code -->
<section class="faqs-page pt-5">
  <div class="container">
      <div class="row">
          <h2 class="faqs-page-head"><?php echo e($service->faq_main_title); ?></h2>
          <div class="accordion" id="accordionExample">
              <?php $__currentLoopData = $faq_data; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $index => $faq): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
              <div class="accordion-item">
                  <h2 class="accordion-header" id="heading<?php echo e($index); ?>">
                      <button class="accordion-button <?php echo e($index == 0 ? '' : 'collapsed'); ?>" type="button" data-bs-toggle="collapse" data-bs-target="#collapse<?php echo e($index); ?>" aria-expanded="<?php echo e($index == 0 ? 'true' : 'false'); ?>" aria-controls="collapse<?php echo e($index); ?>">
                          <?php echo e($faq->title); ?>

                      </button>
                  </h2>
                  <div id="collapse<?php echo e($index); ?>" class="accordion-collapse collapse <?php echo e($index == 0 ? 'show' : ''); ?>" aria-labelledby="heading<?php echo e($index); ?>" data-bs-parent="#accordionExample">
                      <div class="accordion-body">
                          <?php echo e($faq->description); ?>

                      </div>
                  </div>
              </div>
              <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
          </div>
      </div>
  </div>
</section>
<!-- ENd FAQ Code -->
<!-- Success Modal -->
<div class="modal fade" id="successModal" tabindex="-1" role="dialog" aria-labelledby="successModalLabel" aria-hidden="true">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      
      <div class="modal-body mx-auto text-center my-auto">
        <h2>The page is published</h2>
        <br>
        <p>Click below url to view the page</p>
        <br>
        <a href="<?php echo e(url($service->slug)); ?>" target="_blank"><?php echo e(url($service->slug)); ?></a>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-primary" id="successModalButton">OK</button>
      </div>
    </div>
  </div>
</div>

<!-- Error Modal -->
<div class="modal fade" id="errorModal" tabindex="-1" role="dialog" aria-labelledby="errorModalLabel" aria-hidden="true">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="errorModalLabel">Error</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        Something went wrong. Please try again.
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
      </div>
    </div>
  </div>
</div>


  <!-- BOTTOM THREE BOX STARTS -->
  <meta name="php10">
  <!-- BOTTOM THREE BOX Ends -->

  <meta name="php11">
  <!-- FOOTER STARTS -->
  <meta name="php12">
  <!-- FOOTER ENDS -->
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.7.1/jquery.min.js"></script>
  <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"></script>
  <script>
  $(document).ready(function() {
      var slug = "<?php echo e($service->slug); ?>";
      var htmlContent = document.documentElement.outerHTML;
  
      $.ajax({
          url: '<?php echo e(route("save-html")); ?>',
          type: 'POST',
          headers: {
              'X-CSRF-TOKEN': '<?php echo e(csrf_token()); ?>'
          },
          data: {
              htmlContent: htmlContent,
              slug: slug
          },
          success: function(response) {
              $('#successModal').modal('show');
              $('#successModalButton').on('click', function() {
                  window.location.href = '<?php echo e(url("admin/service/index")); ?>';
              });
          },
          error: function(xhr, status, error) {
              console.error(error);
              $('#errorModal').modal('show');
          }
      });
  });
  </script>
  



</body>

</html><?php /**PATH /opt/lampp/htdocs/otika admin template/resources/views/admin/service/publish.blade.php ENDPATH**/ ?>